<?php
ini_set('display_errors', false);
ini_set('zend.ze1_compatibility_mode', false); // bug 25848

if (function_exists('monitor_event_reporting')) {
	monitor_event_reporting(ZEND_MONITOR_EVENT_NONE);
}

if (function_exists('zend_codetracing_options')) {
	zend_codetracing_options(0);
}

// Ugly hack for setting the timezone and avoiding E_STRICTs
date_default_timezone_set( @date_default_timezone_get());

define('ZEND_SERVER_GUI_PATH',			dirname(dirname(__FILE__)));
define('ZEND_SERVER_APP_PATH',			ZEND_SERVER_GUI_PATH . '/application');

require_once ZEND_SERVER_APP_PATH . '/application.php';	// Define the ZEND_SERVER_APP_PATH

define('ZEND_SERVER_SKU_PATH',			ZEND_SERVER_APP_PATH . DIRECTORY_SEPARATOR . ZEND_SERVER_APP_VERSION);

set_include_path(
	ZEND_SERVER_GUI_PATH . '/library' .
	PATH_SEPARATOR . ZEND_SERVER_SKU_PATH . '/models');
	
if ('PE' == ZEND_SERVER_APP_VERSION) {
	set_include_path(get_include_path()
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/CE/models');
}

if ('EE' == ZEND_SERVER_APP_VERSION) {
	set_include_path(get_include_path()
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/PE/models'
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/CE/models');
}

require_once 'Zend/Loader/Autoloader.php';
Zend_Loader_Autoloader::getInstance()->setFallbackAutoloader(true);

if ('Zend_XmlRpc_Client' != $_SERVER['HTTP_USER_AGENT']) {
	// TODO - move the phtml file from the mvc to another location
	require_once Zwas_Path::create(ZEND_SERVER_APP_PATH, 'CE/views/scripts/index/xmlrpc-error.phtml');
	die;
}

/**
 * Disable Zend Framework locale cache
 * Bug in PHP 5.3/Windows, function: is_writable() return flase on writable directory
 */
Zend_Locale::disableCache(true);
/**
 * In order to use date() style formatting also in Zend_Date
 */
Zend_Date::setOptions(array('format_type' => 'php'));

Zend_XmlRpc_Server_Fault::attachFaultException(array('Zwas_Exception', 'Zwas_XmlRpc_Exception'));

$server = new UserServer();
$server->run();
