<?php
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/ZwasComponentController.php';

class AcceleratorController extends ZwasComponentController {

	/**
	 * @var ZwasComponents_Accelerator_Model
	 */
	private $acceleratorModel;
	
	/**
	 * Initialize the controller's accelerator model
	 */
	public function init() {
		parent::init();
		$this->acceleratorModel = new ZwasComponents_Accelerator_Model();
	}

	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		$this->activateComponent($this->acceleratorModel);
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		$this->deactivateComponent($this->acceleratorModel);
	}
	
	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		$this->forceDeactivateComponent($this->acceleratorModel);
	}
	
	/**
	 * Run the 'reset' action of the accelerator
	 */
	public function resetAction() {
		if ($this->acceleratorModel->reset()) {
			$this->setMessagePane(new MessagePane_Success(Zwas_Translate::_('The Optimizer+ memory was cleared')));
		} else {
			$this->setMessagePane(new MessagePane_Error(Zwas_Translate::_('Failed to clear the Optimizer+ memory')));
		}
		$this->afterActionForward('Zend-Server-Components', 'Configuration');
	}
}
