<?php

class AdminController extends Zwas_Controller_MainContent {
	
	public function tasksAction() {
	}
    
    /**
     * Update the password
     *
     */
	public function savePasswordAction() {
		
		$newPassword 	= $this->_getParam('new-password', null);
		$confirm 		= $this->_getParam('confirm-password', null);
		$oldPassword 	= $this->_getParam('old-password', null);
		
		try {
			$this->changePassword($oldPassword, $newPassword, $confirm);
			$this->setMessagePane(new MessagePane_Success(Zwas_Translate::_('The password was changed')));
		} catch (Zwas_Exception $e) {
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
		}
		$this->forward('Tasks');
    }
    
    /**
     * Register the newsletter email address
     *
     */
	public function registerNewsletterAction() {
		try {
			$email 	= $this->getTrimmedParam('newsletter-email', null);
			
			Newsletter::register($email);
			$this->setMessagePane(new MessagePane_Success(Zwas_Translate::_('Your subscription request has been sent. If you do not receive a verification email, try registering again')));
		} catch (Zwas_Exception $e) {
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
		}
		
		$this->afterActionForward('Tasks', 'Admin');
    }
    
    /**
     * Validates a change password and saves it in the zend-server-user.ini
     *
     * @param string $oldPassword
     * @param string $newPassword
     * @param string $confirm
     * @return boolean
     */
    private function changePassword($oldPassword, $newPassword, $confirm) {
    	if (! $oldPassword) {
    		throw new Zwas_Exception(Zwas_Translate::_("'Enter your current password' is a mandatory field"));
    	}
    	
    	if (! ApplicationModel::passwordDirectiveExists()) {
			throw new Zwas_Exception(Zwas_Translate::_('zend-server-user.ini is missing the password directive under the [authentication] section'), Zwas_Exception::ERROR);
    	}
    		
		if (md5($oldPassword) != ApplicationModel::getPassword()) {
			throw new Zwas_Exception(Zwas_Translate::_('Invalid current password'));
		}
		
		ApplicationModel::savePassword($newPassword, $confirm);
    }

}