<?php
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/ZwasComponentController.php';

class DataCacheController extends ZwasComponentController {

	/**
	 * @var ZwasComponents_DataCache_Model
	 */
	private $dataCacheModel;
	
	public function init() {
		parent::init();
		$this->dataCacheModel = new ZwasComponents_DataCache_Model();
	}
	
	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		$this->activateComponent($this->dataCacheModel);
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		$this->deactivateComponent($this->dataCacheModel);
	}
	
	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		$this->forceDeactivateComponent($this->dataCacheModel);
	}
			
	/**
	 * Clear the Partial Caching's memory
	 */
	public function clearAction() {
		if ($this->dataCacheModel->clear()) {
			$this->setMessagePane(new MessagePane_Success(Zwas_Translate::_('The Data Cache content was cleared')));
		} else {
			$this->setMessagePane(new MessagePane_Error(Zwas_Translate::_('Failed to clear the Data Cache content. If this problem persists, go to the Zend Support Center at: http://www.zend.com/support-center')));
		}
		$this->afterActionForward('Zend-Server-Components', 'Configuration');
	}

}