<?php

class ErrorController extends Zwas_Controller_MainContent {

	public function errorAction() {
		$error = $this->_getParam('error_handler');
		
		switch ($error->type) {
			// the user try to get unknown controller/action
			case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
				$errorTitle = Zwas_Translate::_('Invalid Controller:');
				break;
				
            case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
				$errorTitle = Zwas_Translate::_('Invalid Action:');
         		break;

         	// an exception throws
			case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_OTHER:
				$errorTitle = Zwas_Translate::_('Exception thrown:');
				break;
		}
		
		$this->setMessagePane(new MessagePane_Error($this->getDisplayMessage($error->exception)));
		
		$this->view->exceptionTrace	  = $error->exception->getTraceAsString();
		
		try {
			Zwas_Log::logException($errorTitle, $error->exception);
			
		} catch (Exception $exception) {
			// do nothing for now
		}
    }
    
    /**
     * @param Exception $e
     * @return Zwas_Text
     */
    private function getExceptionMessage(Exception $e) {
    	
	    if ($e instanceof Zwas_Exception) {
			$exceptionMessage = $e->getMessageObject();
		} else {
			$exceptionMessage = new Zwas_Text($e->getMessage());
		}
		
		return $exceptionMessage;
    }
    
    /**
     * Get the message which should be displayed to the user.  In most cases it is the same as the
     * exception's message, unless this was a Zend Server assertion exception
     *
     * @param Exception $e
     * @return Zwas_Text
     */
    private function getDisplayMessage(Exception $e) {
    	if ((! ZEND_SERVER_DEVELOPMENT_ENV) &&
    		($e instanceof Zwas_Exception) &&
    		(Zwas_Exception::ASSERT === $e->getCode())) {
    		
    		return new Zwas_Text(Zwas_Translate::_('An internal application error has occurred.  If this problem persists, go to the Zend Support Center at: http://www.zend.com/support-center'));
    	}
    	
    	return $this->getExceptionMessage($e);
    }
}