<?php

class InformationController extends Zwas_Controller_MainContent {
	
	public function dashboardAction() {
    	
    	$this->serverInfo();
    			
    	$tasksLinks = $this->getTasksLinks();

    	if ($this->getRequest()->getCookie('zend_server_monitor_getting_start')) {
    		$this->view->showGettingStratedTooltip = true;
			// remove cookie
		    setcookie('zend_server_monitor_getting_start', null, 1, '/');
    	}

		try {
			$phpMyAdminUrl = ApplicationModel::getPhpMyAdminUrl();
		} catch (Zwas_Exception $e) {
			// do nothing, phpMyAdmin is not necessarily set
			$phpMyAdminUrl = null;
		}
		if ($phpMyAdminUrl) {
			$tasksLinks[] = new DisplayWidget_ExternalLink(	Zwas_Translate::_('Open phpMyAdmin'),
															$phpMyAdminUrl);
		}
		
    	$this->view->tasksLinks = $tasksLinks;
    	$this->view->gettingStartedLink = 'http://www.zend.com/en/products/server/getting-started?zsp=gettingstarted';
    }
	
	public function phpinfoAction() {
		$this->view->phpInfo = Context_Api::getPhpMemory()->getPhpInfo();
	}
	
    public function serverInfoAction() {
   		$this->serverInfo();
    }
    
    public function serverInfo() {
    	$this->view->server		= SystemModel::getServerInfo();
		$this->view->php		= SystemModel::getPHPDetails();
		$this->view->zendServer	= SystemModel::getZendServerInfo();
		$this->view->framework	= SystemModel::getZendFrameworkInfo();

		try {
			$zendServerModel = ZwasComponents_Model_Factory::getModel();
			$zendServerComponents = $zendServerModel->getAvailableComponents();
			$this->view->components = $zendServerModel->convertToDisplayObjects($zendServerComponents);
		} catch (Zwas_Exception $e) {
			throw new Zwas_Exception('Failed getting components data: ' . $e->getMessageObject(), Zwas_Exception::ASSERT);
		}
    }
    
	protected function getTasksLinks() {
    	$phpinfo = new DisplayWidget_Link(Zwas_Translate::_('View PHPinfo page'), 'Information', 'Phpinfo');
    	$phpinfo->setSidbarIdentifier(MenuItem::generateId('Information', 'Phpinfo'));
    	
    	$extensions = new DisplayWidget_Link(Zwas_Translate::_('Load or Unload PHP Extensions'), 'Configuration', 'Extensions');
    	$extensions->setSidbarIdentifier(MenuItem::generateId('Configuration', 'Extensions'));
    	
    	$directives = new DisplayWidget_Link(Zwas_Translate::_('Change PHP directive Values'), 'Directives', 'Index');
    	$directives->setSidbarIdentifier(MenuItem::generateId('Directives', 'Index'));
    	
    	$zendServerComponents = new DisplayWidget_Link(Zwas_Translate::_('Configure Zend Server Components'), 'Configuration', 'Zend-Server-Components');
    	$zendServerComponents->setSidbarIdentifier(MenuItem::generateId('Configuration', 'Zend-Server-Components'));
    	
		return array(
   						$phpinfo,
   						$extensions,
   						$zendServerComponents,
   						$directives);
	}
}