<?php
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/JsonController.php';
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/LogTailController.php';

class LogTailJsonController extends JsonController {
	
	public function init() {
		parent::init();
		$this->model = new LogTail_Model();
	}
	
    public function followModeAction() {
		try {
			$lines = $this->model->getFollowModeLines($this->getTrimmedParam('logfile'));
		} catch (Zwas_Exception $e) {
			$lines = array();
		}
		$this->renderOutput($lines);
    }
    
	public function firstAction() {
		try {
			$lines = $this->model->getFirstLines(	$this->getTrimmedParam('logfile'),
													$this->getNormalizedNumOfLines(),
													$this->_getParam('filter-by'));
		} catch (Zwas_Exception $e) {
			$lines = array();
		}
		$this->renderOutput($lines);
	}
	
	public function lastAction() {
		try {
			$lines = $this->model->getLastLines(	$this->getTrimmedParam('logfile'),
													$this->getNormalizedNumOfLines(),
													$this->_getParam('filter-by'));
		} catch (Zwas_Exception $e) {
			$lines = array();
		}
		$this->renderOutput($lines);
	}
	
	public function nextAction() {
		try {
			$lines = $this->model->getNextLines(	$this->getTrimmedParam('logfile'),
													$this->getNormalizedNumOfLines(),
													$this->_getParam('filter-by'));
		} catch (Zwas_Exception $e) {
			$lines = array();
		}
		$this->renderOutput($lines);
	}
	
	public function prevAction() {
		try {
			$lines = $this->model->getPrevLines(	$this->getTrimmedParam('logfile'),
													$this->getNormalizedNumOfLines(),
													$this->_getParam('filter-by'));
		} catch (Zwas_Exception $e) {
			$lines = array();
		}
		$this->renderOutput($lines);
	}
	
	/**
	 * Return a valid number for the number of lines to show
	 * @return integer
	 */
	private function getNormalizedNumOfLines() {
		$numOfLines = $this->getTrimmedParam('show-lines', LogTail_Model::DEFAULT_NUM_OF_LINES);
		
		// FIXME: (ziv) don't call other controller method - use model
    	if (! LogTailController::isNumOfLinesValid($numOfLines)) {
    		$numOfLines = LogTail_Model::DEFAULT_NUM_OF_LINES;
    	}
    	
		return $numOfLines;
	}
		
	private function renderOutput(array $lines) {
		$this->view->data = $lines;
		$this->renderScript('log-tail/log-tail-data.phtml');
	}
	
}