<?php

abstract class NavigationController extends Zwas_Controller_Action {
	
	/**
	 * @var Navigation_Abstract
	 */
	protected $formNavigation;
	
	public function indexAction() {
		$this->_helper->layout()->setLayout('welcome');
		$firstPage = $this->formNavigation->current();/* @var $firstPage Zend_Navigation_Page_Mvc */
		$this->_helper->layout()->currentAction = array(
			'action'		=> $firstPage->getAction(), 
			'controller'	=> $firstPage->getController()
		);
		$this->renderScript('/login/welcome.phtml');
	}
	
	/**
	 * @param Zend_Navigation_Page_Mvc $page
	 */
	protected function forwardToNextAction() {
		$this->formNavigation->next();
		
		try {
			$page = $this->formNavigation->current(); /* @var Zend_Navigation_Page_Mvc $page */
			return $this->redirect(
				array(
					'action'		=> $page->getAction(), 
					'controller'	=> $page->getController()
				),'', true);
		} catch (Zend_Navigation_Exception $e) {
			ApplicationModel::setRegistrationComplete();
			ApplicationModel::scrubNewInstallationFlag();
			$this->renderScript('login/redirect.phtml');
		}
	}	
}