<?php
require_once 'NavigationController.php';
/**
 * Stepped registration wizard for ZSCM
 */
class ResetPasswordController extends NavigationController {
	
	public function preDispatch() {
		if (ApplicationModel::isPasswordSet()) {
			$this->redirect(array('controller' => 'Index'),'', true);
		}
		$this->formNavigation = new Navigation_ResetPassword();
		$this->formNavigation->movePointerToCurrentPage($this->getRequest()->getActionName());
		$this->view->formNavigation = $this->formNavigation;
	}
	
	public function passwordAction() {
		$form = new Form_Password();
		$request = $this->getRequest(); /* @var $request Zend_Controller_Request_Http */
		$this->view->form = $form;
		if ($request->isPost() && $form->isValid($this->getTrimmedParams())) {
			try {
				if ($form->process()) {
					$this->forwardToNextAction();
				}
			} catch (Zwas_Exception $e) {
				$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
			}
		}
		$this->renderScript('/registration/password.phtml');
	}
}