<?php
class SystrayController extends Zwas_Controller_Action {
	
	/**
	 * Request format:
	 * <base url>/Systray/exec/<action name>/password/<password string>
	 */
	public function execAction() {
		$executer = new Systray_Executer();
		
		if (! $this->isLogged( $this->_getParam('password') )) {
			$response = $executer->raiseError('Login', Zwas_Translate::_('The login password is incorrect'));
			
		} else {
			$response = $executer->run( $this->getTrimmedParam('do') );
			
		}
		$this->view->response = $response;
		
		$this->getResponse()->setHeader('Content-Type', 'text/xml');
		$this->destroySession();
		$this->render('response');
	}
	
	/**
	 * Request format:
	 * <base url>/Systray/linker/link/<link name>
	 */
	public function linkerAction() {
		$link = Systray_Linker::getLink( $this->getTrimmedParam('link') );
		$target = array('action'			=> 'Index',
						'controller'		=> 'Index',
						'token'				=> $this->getTrimmedParam('token'),
						'loadCtrl'			=> $link['controller'],
						'loadActn'			=> $link['action'],
		// loadSiderbar indeicating which tab and subtab will be selected in the target, if not specified, the deafult
		//	is to build the sidebar from the loadCtrl and loadActn
						'loadSidebar'		=> $link['sidebarId']);
    	
		$this->redirect($target, 'default', true);
	}
	
	/**
	 * Request format:
	 * <base url>/Systray/Service/<action name>/password/<password string>
	 */
	public function serviceAction() {
		$service = new Systray_Service();
		
		if (! $this->isLogged( $this->getTrimmedParam('password') )) {
			$response = $service->raiseError('Login', Zwas_Translate::_('The login password is incorrect'));
			
		} else {
			$response = $service->run( $this->getTrimmedParam('do') );
			
		}
		
		$this->view->response = $response;
		$this->getResponse()->setHeader('Content-Type', 'text/xml');
		$this->destroySession();
		$this->render('response');
	}
	
	/**
	 * @param string $password
	 * @return boolean
	 */
	private function isLogged($password) {
		$auth = Zend_Auth::getInstance();
		
		if ($auth->hasIdentity()) {
			return true;
		}
		
		$adapter = new Authentication_Adapter($password);
		$a = $auth->authenticate($adapter);
		if ($a->isValid()) {
			return true;
		}
		return false;
	}
	
	private function destroySession() {
		Zend_Session::destroy();
	}
}