<?php

class ZwasComponentController extends Zwas_Controller_MainContent {
	
	protected function activateComponent(ZwasComponents_Abstract $model) {
		try {
			if ($model->activateComponent()) {
				$this->setMessagePane(new MessagePane_Notice(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' will be turned on after restarting your PHP'), array($model->getExtensionName()))));
			} else {
				$this->setMessagePane(new MessagePane_Success(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' was turned on'), array($model->getExtensionName()))));
			}
		} catch (Zwas_Exception $e) {
			// notify the user
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
		}
		$this->afterActionForward('Zend-Server-Components', 'Configuration');
	}
	
	protected function deactivateComponent(ZwasComponents_Abstract $model) {
		try {
			if ($model->deactivateComponent()) {
				$this->setMessagePane(new MessagePane_Notice(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' will be turned off after restarting your PHP'), array($model->getExtensionName()))));
			} else {
				$this->setMessagePane(new MessagePane_Success(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' was turned off'), array($model->getExtensionName()))));
			}
		} catch (Zwas_Exception $e) {
			// notify the user
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
		}
		$this->afterActionForward('Zend-Server-Components', 'Configuration');
	}
	
	protected function forceDeactivateComponent(ZwasComponents_Abstract $model) {
		try {
			if ($model->forceDeactivateComponent()) {
				$this->setMessagePane(new MessagePane_Notice(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' will be turned off after restarting your PHP'), array($model->getExtensionName()))));
			} else {
				$this->setMessagePane(new MessagePane_Success(
							new Zwas_Text(Zwas_Translate::_('The component \'%s\' was turned off'), array($model->getExtensionName()))));
			}
		} catch (Zwas_Exception $e) {
			// notify the user
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
		}
		$this->afterActionForward('Zend-Server-Components', 'Configuration');
	}
}
