<?php

class Form_Password extends Zwas_Form {
	
	public function init() {
		parent::init();
		
		$password = new Zwas_Form_Element_Password('password');
		$password->setLabel(Zwas_Translate::_('Enter Password'))
			->setRequired(true);
		
		$retypePassword = new Zwas_Form_Element_Password('retypePassword');
		$retypePassword->setLabel(Zwas_Translate::_('Retype Password'))
			->setRequired(true);
		
		$validate = new Zwas_Validate_Password();
		$password->addValidator($validate);
		$retypePassword->addValidator($validate);
		
		$this->addElement($password, 'password');
		$this->addElement($retypePassword, 'retypePassword');
				
	}

	public function isValid($data) {
		
		$validOrig = parent::isValid($data);
		
		$password = $this->getElement('password');
		$retypePassword = $this->getElement('retypePassword');
		
		if ($validOrig) {
			if ($retypePassword->getValue() !== $password->getValue()) {
				$retypePassword->setErrors(array(Zwas_Translate::_('Password comparison failure')));
				return false;
			}
			return $validOrig;
		}
        return $validOrig;
	}
	
	public function process() {
		parent::process();
		$this->authenticate($this->savePassword());
		return true;
	}
	
	/**
     * @return string
     * @throws Zwas_Exception
     */
    protected function savePassword() {
    	// For validation reasons we should use getTrimmedParams
   		$password	= $this->getValue('password');
		$cpassword	= $this->getValue('retypePassword');
		ApplicationModel::savePassword($password, $cpassword);
		return $password;
    }
	
	/**
	 * @param string $password
	 * @return boolean
	 */
	protected function authenticate($password) {
		$authAdapter = new Authentication_Adapter($password);
		return Zend_Auth::getInstance()->authenticate($authAdapter)->isValid();
	}
}