<?php

class Form_Registration_Subscribe extends Zwas_Form {
	public function init() {
		parent::init();
		
		$newsletterRegister = new Zwas_Form_Element_Checkbox('newsletterRegister');
		$newsletterRegister->setLabel(
				new Zwas_Text(Zwas_Translate::_('Notify me of new %s releases and other important updates'), array(ZEND_SERVER_APPLICATION_NAME))
			)
			->setChecked(true);

		$this->addElement($newsletterRegister, 'newsletterRegister');
		$email = new Zwas_Form_Element_Text('email');
		$email->setLabel(Zwas_Translate::_('Email Address'))
			->setAttrib('id', 'email')
			->setValue(ApplicationModel::getNewsletterEmail())
			->addValidator(new Zwas_Validate_EmailAddresses());
		
		$this->addElement($email, 'email');
	}
	
	public function isValid($data) {
		$this->populate($data);
		if ($this->getElement('newsletterRegister')->isChecked()) {
			return parent::isValid($data);
		}
		return true;
	}
	
	public function process() {
		parent::process();
		if ($this->getElement('newsletterRegister')->isChecked()) {
			if ('' != $this->getValue('email')) {
				$currentSavedEmail = ApplicationModel::getNewsletterEmail();
				
				if ($this->getValue('email') != $currentSavedEmail) {
					Newsletter::register($this->getValue('email'));
				}
			}
		}
		return true;
	}
}

