<?php

class Authentication_Adapter implements Zend_Auth_Adapter_Interface {

	/**
	 * @var string
	 */
	private $password;

	public function __construct($password) {
		$this->password = $password;
	}
	
	/**
	 * @throws Zend_Auth_Adapter_Exception If authentication cannot be performed
	 * @return Zend_Auth_Result
	 * @see Zend_Auth_Adapter_Interface::authenticate()
	 */
	public function authenticate() {
		
		if (empty($this->password)) {
			return new Zend_Auth_Result(Zend_Auth_Result::FAILURE_CREDENTIAL_INVALID,
										new Authentication_Identity_Null(),
										array(Zwas_Translate::_('You must enter text before clicking login')));
		}
		
		if (! ApplicationModel::passwordDirectiveExists()) {
			Zwas_Log::logMessage('zend-server-user.ini is missing the authentication.password field', Zend_Log::ERR);
			return new Zend_Auth_Result(Zend_Auth_Result::FAILURE_UNCATEGORIZED,
										new Authentication_Identity_Null(),
										array(new Zwas_Text(Zwas_Translate::_('An internal error has occurred, retry your last action and if that fails reinstall %s'), array(ZEND_SERVER_APPLICATION_NAME))));
		}
		
		if (md5($this->password) === ApplicationModel::getPassword()) {
			return new Zend_Auth_Result(Zend_Auth_Result::SUCCESS,
										new Authentication_Identity_Authenticated());
		}
		
		return new Zend_Auth_Result(Zend_Auth_Result::FAILURE,
									new Authentication_Identity_Null(),
									array(new Zwas_Text(Zwas_Translate::_('Authentication failure, retry your last action and if that fails reinstall %s'), array(ZEND_SERVER_APPLICATION_NAME))));
	}
}
