<?php

class Authentication_TokenAdapter implements Zend_Auth_Adapter_Interface {

	/**
	 * @var string
	 */
	private $token;

	public function __construct($token) {
		$this->token = $token;
	}
	
	/**
	 * @throws Zend_Auth_Adapter_Exception If authentication cannot be performed
	 * @return Zend_Auth_Result
	 * @see Zend_Auth_Adapter_Interface::authenticate()
	 */
	public function authenticate() {
		if (Authentication_Token::validateToken($this->token)) {
			return new Zend_Auth_Result(Zend_Auth_Result::SUCCESS,
										new Authentication_Identity_Authenticated());
		}

		return new Zend_Auth_Result(Zend_Auth_Result::FAILURE_IDENTITY_NOT_FOUND,
									new Authentication_Identity_Null(),
									array(Zwas_Translate::_('Incorrect password')));
		
	}
}
