<?php

class Common_Context_Db_Factory implements Common_Context_Db_FactoryInterface {

	/**
	 * @return Zend_Db_Adapter_Abstract
	 */
	public function getDbAdapter() {
		return Zend_Db_Table_Abstract::getDefaultAdapter();
	}
	
	/**
	 * @return Directives_TableAll
	 */
	public function getDirectivesAll() {
		return new Directives_TableAll();
	}
	
	/**
	 * @return Directives_TableCached
	 */
	public function getDirectivesCached() {
		return new Directives_TableCached();
	}
	
	/**
	 * @return PhpExtensions_TableAll
	 */
	public function getPhpExtensionsAll() {
		return new PhpExtensions_TableAll();
	}
	
	/**
	 * @return PhpExtensions_TableCached
	 */
	public function getPhpExtensionsCached() {
		return new PhpExtensions_TableCached();
	}
	
	/**
	 * @return Zem_TableAll
	 */
	public function getZemExtensionsAll() {
		return new Zem_TableAll();
	}
	
	/**
	 * @return Zem_TableCached
	 */
	public function getZemExtensionsCached() {
		return new Zem_TableCached();
	}
	
	/**
	 * @return CacheTimestampsTable
	 */
	public function getCacheTimestamps() {
		return new CacheTimestampsTable();
	}
}