<?php

interface Common_Context_Os_Interface {
	
	const OS_TYPE_NIX		= 1;
	const OS_TYPE_WINDOWS	= 2;
	const OS_TYPE_IBMI		= 3;
	
	/**
	 * @return int
	 */
	public function getOsType();
	
	/**
	 * @return string
	 */
	public function getOsName();
	
	/**
	 * @return PhpExtensions_Parser
	 */
	public function getPhpExtensionsParser();
	
	/**
	 * Get the timeout length between asking for a server restart and making another request
	 * @return int
	 */
	public function getServerRestartTimeout();

	/**
	 * Return the ini scandir of the Zend Server UI
	 * @return string
	 */
	public function getZendIniScandir();
	
	/**
	 * Return the OS hostname
	 * @return string
	 */
	public function getHostname();
}