<?php

abstract class Common_Context_Os_Win extends Common_Context_Os_Abstract implements Context_Os_Interface {
	
	/**
	 * @var int
	 */
	protected $restartTimeout = 3;
	
	/**
	 * build => marketing name
	 */
	private static $osTable = array(	528 	=> 'Windows NT',
								807 	=> 'Windows NT',
								1057 	=> 'Windows NT',
								1381	=> 'Windows NT',
							
								2195	=> 'Windows 2000',
								2600	=> 'Windows XP',
								3790	=> 'Windows XP or Windows Server 2003',
								6000	=> 'Windows Vista',
								6001	=> 'Windows Vista or Windows Server 2008',
								6002	=> 'Windows Vista or Windows Server 2008');
	
	/**
	 * @return int
	 */
	public function getOsType() {
		return self::OS_TYPE_WINDOWS;
	}
	
	/**
	 * @return string
	 */
	public function getOsName() {
		list( , $build) = explode(" ", php_uname('v'));
		if (array_key_exists($build, self::$osTable)) {
			return self::$osTable[$build];
		}
		return 'Windows';
	}
		
	/**
	 * @return PhpExtensions_Parser
	 */
	public function getPhpExtensionsParser() {
		return new PhpExtensions_Parser_Win();
	}
	
	/**
	 * Return the ini scandir of the Zend Server UI
	 * @return string
	 */
	public function getZendIniScandir() {
		return Zwas_Path::create(get_cfg_var('zend.conf_dir'), get_cfg_var('zend.ini_scandir'));
	}

}