<?php

abstract class Context_Api_FactoryAbstract implements Context_Api_FactoryInterface {

	/**
	 * @return ZwasComponents_MonitorUi_Api_Interface
	 * @see Context_Api_FactoryInterface::getMonitorUiApi()
	 */
	public function getMonitorUiApi() {
		return new ZwasComponents_MonitorUi_Api_Wrapper();
	}

	/**
	 * @return ZwasComponents_Monitor_Daemon_Api_Interface
	 * @see Context_Api_FactoryInterface::getMonitorDaemonApi()
	 */
	public function getMonitorDaemonApi() {
		return new ZwasComponents_Monitor_Daemon_Api_Wrapper();
	}
	
	/**
	 * @return ZwasComponents_JobQueue_Api_Interface
	 * @see Context_Api_FactoryInterface::getJobQueueApi()
	 */
	public function getJobQueueApi() {
		return new ZwasComponents_JobQueue_Api_Wrapper();
	}
	/**
	 * @return ZwasComponents_CodeTracing_Api_Interface
	 * @see Context_Api_FactoryInterface::getCodeTracingApi()
	 */
	public function getCodeTracingApi() {
		return new ZwasComponents_CodeTracing_Api_Wrapper();
	}
}
