<?php

class Context_Cache {
	
	/**
	 * @var Context_Cache_FactoryInterface
	 */
	private static $factory = null;
	
	/**
	 * @return Context_Cache_FactoryInterface
	 */
	public static function getInstance() {
		if (is_null(self::$factory)) {
			self::$factory = new Context_Cache_Factory();
		}
		return self::$factory;
	}
	
	public static function setInstance(Context_Cache_FactoryInterface $instance) {
		self::$factory = $instance;	
	}
	
    /**
     * Resets all object properties of the singleton instance
     * @return void
     */
    public static function resetInstance() {
    	self::$factory = null;
    }
    	
	/**
	 * @return Zwas_Cache_Interface
	 */
	public static function getCache() {
		return self::getInstance()->getCache();	
	}
}