<?php
interface Context_FileSystem_FactoryInterface {
	
	/**
	 * @param string $path
	 * @param string $openMode
	 * @return Zwas_FileObject
	 */
	public function getFileObject($path, $openMode = 'r');

	/**
	 * @param string $path
	 * @return Zwas_DirectoryObject
	 */
	public function getDirectoryObject($path);

	/**
	 * @param string $path
	 * @param array $options
	 * @return Zend_Config
	 * @throws Zwas_Exception
	 */
	public function getConfigReader($path, array $options = null);
	
	/**
	 * @param string $path
	 * @param array $options
	 * @return Zend_Config_Writer
	 * @throws Zwas_Exception
	 */
	public function getConfigWriter($path, array $options = null);
	
	/**
	 * @param string $source
	 * @param string $dest
	 * @return bool
	 */
	public function copy($source , $dest);
	
	/**
	 * @param string $filename
	 * @return boolean
	 */
	public function unlink($filename); 
	
	/**
	 * @param string $filename
	 * @return array|false
	 */
	public function stat($filename);
	
	/**
	 * @param string $filename
	 * @return boolean
	 */
	public function fileExists($filename);
	
	/**
	 * @param string $filename
	 * @return boolean
	 */
	public function touch($filename);
	
	/**
	 * @param string $filename
	 * @param integer $flags
	 * @return Zwas_Zip
	 * @throws Zwas_Exception
	 */
	public function getZipArchive($zipFilepath, $flags = 0);
}