<?php

abstract class Context_Version_Abstract {
	
	/**
	 * @return ZwasComponents_Model_Interface
	 */
	public function getComponentsModel() {
		return ZwasComponents_Model_Factory::getModel($this->getAppVersion());
	}
	
	/**
	 * @return StudioIntegration_Model
	 * @throws Zwas_Exception
	 */
	abstract public function getStudioIntegrationModel();
	
	/**
	 * @return License_Control_Interface|null
	 */
	abstract public function getLicenseControl();

	/**
	 * @return License_Model_Abstract
	 * @throws Zwas_Exception
	 */
	abstract public function getLicenseModel($licenseInfo = null);
		
	/**
	 * @return string
	 */
	abstract protected function getAppVersion();
}