<?php

abstract class Directives_DisplayData_Abstract {

	const TYPE_STRING 		= 1;
	const TYPE_BOOLEAN 		= 2;
	const TYPE_SELECT 		= 3;
	const TYPE_INT 			= 4;
	const TYPE_SHORTHAND	= 5;
	const TYPE_INT_BOOLEAN	= 8;
			
	/**
	 * @var integer
	 */
	private $type;
	/**
	 * @var string
	 */
	private $name;
	/**
	 * @var string
	 */
	private $description;
	/**
	 * @var boolean
	 */
	private $isDisabled;
	/**
	 * @var DisplayWidget_IconTooltip
	 */
	private $changedIcon;

	public function __construct($type, $name, $description, $isDisabled) {
		$this->type			= $type;
		$this->name			= $name;
		$this->description	= $description;
		$this->isDisabled	= $isDisabled;
		$this->changedIcon	= new DisplayWidget_IconTooltip(DisplayWidget_IconTooltip::ICON_NULL);	
	}
	
	/**
	 * @return integer
	 */
	public function getType() {
		return $this->type;
	}
	
	/**
	 * @return DisplayWidget_IconTooltip
	 */
	public function getChangedIcon() {
		return $this->changedIcon;
	}

	/**
	 * @return string
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * @return boolean
	 */
	public function isDisabled() {
		return (boolean)$this->isDisabled;
	}

	/**
	 * @return string
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * @param DisplayWidget_IconTooltip $changedIcon
	 */
	public function setChangedIcon($changedIcon) {
		$this->changedIcon = $changedIcon;
	}

	abstract public function getValue();
}