<?php

class Directives_DisplayData_Section {
	
	const TYPE_SECTION   = 1;
	const TYPE_EXTENSION = 2;
	
	/**
	 * Defines the type of the directives list parent: section or extension,
	 * one of contants
	 *
	 * @var integer
	 */
	private $type;
	/**
	 * @var string
	 */
	private $title;
	/**
	 * Array of Directives_DisplayData_Abstract
	 * @var array
	 */
	private $directivesList = array();
	/**
	 * @var boolean
	 */
	private $isChanged = false;
	/**
	 * @var DisplayWidget_Link
	 */
	private $actionLink;
	/**
	 * @var string
	 */
	private $message;
	
	/**
	 * @param integer $type
	 * @param string $title
	 */
	public function __construct($type, $title) {
		$this->type		= $type;
		$this->title	= $title;
		$this->actionLink	= new DisplayWidget_Info('');
	}

	/**
	 * @return DisplayWidget_Link
	 */
	public function getActionLink() {
		return $this->actionLink;
	}

	/**
	 * @return array
	 */
	public function getDirectivesList() {
		return $this->directivesList;
	}

	/**
	 * @return boolean
	 */
	public function isChanged() {
		return $this->isChanged;
	}

	/**
	 * @return string
	 */
	public function getMessage() {
		return $this->message;
	}

	/**
	 * @return string
	 */
	public function getTitle() {
		return $this->title;
	}

	/**
	 * @return integer
	 */
	public function getType() {
		return $this->type;
	}

	/**
	 * @param DisplayWidget_Link $actionLink
	 */
	public function setActionLink($actionLink) {
		$this->actionLink = $actionLink;
	}

	/**
	 * @param boolean $isChanged
	 */
	public function setChanged($isChanged) {
		$this->isChanged = $isChanged;
	}

	/**
	 * @param string $message
	 */
	public function setMessage($message) {
		$this->message = $message;
	}

	
	/**
	 * @param Directives_DisplayData_Abstract $directive
	 */
	public function addDirective(Directives_DisplayData_Abstract $directive) {
		$this->directivesList[] = $directive;
	}
	
}