<?php

class Directives_DisplayData_String extends Directives_DisplayData_Abstract {
	
	/**
	 * @var string
	 */
	private $value;
	/**
	 * @var integer
	 */
	private $maxLength;
	/**
	 * @var string
	 */
	private $units;

	/**
	 * @param string $name
	 * @param string $value
	 * @param integer $maxLength
	 * @param string $description
	 * @param boolean $isDisabled
	 */
	public function __construct($name, $value, $maxLength, $description, $isDisabled, $units=null) {
		parent::__construct(self::TYPE_STRING, $name, $description, $isDisabled);
		$this->maxLength	= $maxLength;
		$this->value		= $value;
		$this->units		= $units;
	}
	
	/**
	 * @return integer
	 */
	public function getMaxLength() {
		return $this->maxLength;
	}
	
	/**
	 * @return string
	 */
	public function getUnits() {
		return $this->units;
	}

	/**
	 * @return string
	 */
	public function getValue() {
		return $this->value;
	}

}