<?php

class Directives_TableAll extends Zend_Db_Table_Abstract {
	
	protected $_name 	= 'directivesAll';
	protected $_primary = 'name';

	/**
	 * Get the extension to which a directive belongs (e.g. soap.wsdl_cache_ttl belongs to soap) 
	 *
	 * @param string $directiveName
	 * @return string
	 */
	public function getDirectiveExtension($directiveName) {
		$row = $this->find($directiveName)->current();
		if ($row) {
			return $row->extension;	
		}
		return '';
	}
	
	/**
	 * @param array $extensions
	 * @return Zend_Db_Table_Rowset
	 */
	public function getDirectivesWithExtensionsOrSections(array $extensions) {
		$dbAdapter = $this->getAdapter();
		$where = 'section NOT NULL';
		
		if (0 < count($extensions)) {
			foreach ($extensions as $key => $name) {
				$extensions[$key] = $dbAdapter->quoteInto('?', $name);
			}
			$where.= ' OR extension IN (' . implode(',', $extensions) . ')';
		}
		
		return $this->fetchAll($where);
	}
}