<?php

class Directives_TableCached extends TableCachedBase {
	
	protected $_name 	= 'directivesCached';
	protected $_primary = 'name';

	public function markDirectivesAwaitRestart(array $directivesNames) {
		$this->setDirectivesAwaitRestartStatus($directivesNames, true);
	}
	
	/**
	 * Set 
	 *
	 * @param array $directivesNames
	 */
	public function unmarkDirectivesAwaitRestart(array $directivesNames) {
		$this->setDirectivesAwaitRestartStatus($directivesNames, false);
	}
	
	/**
	 * generic function for setting a group of directives awaitsRestart value
	 *
	 * @param array $directivesNames
	 * @param boolean $newValue
	 */
	private function setDirectivesAwaitRestartStatus(array $directivesNames, $newValue) {
		if (count($directivesNames)) {
			foreach ($directivesNames as $key => $name) {
				$directivesNames[$key] = $this->getAdapter()->quoteInto('?', $name);
			}
			$where = 'directivesCached.name IN (' . implode(',', $directivesNames) . ')';		
			$this->updateWithoutCacheTimestamping(array('awaitsRestart' => $newValue), $where);
		}		
	}
}