<?php

/**
 * An abstract definition of an extension's action element
 */
abstract class DisplayWidget_Abstract {
	
	const DISPLAY_WIDGET_LINK			= 1;
	const DISPLAY_WIDGET_INFO			= 2;
	const DISPLAY_WIDGET_INFO_DIALOG	= 3;
	const DISPLAY_WIDGET_ICON_TOOLTIP	= 4;
	const DISPLAY_WIDGET_ICON_BUTTON	= 5;
	const DISPLAY_WIDGET_LABEL_TOOLTIP	= 6;
	const DISPLAY_WIDGET_BUTTON_TOOLTIP	= 7;
	const DISPLAY_WIDGET_EXTERNAL_LINK	= 8;
	const DISPLAY_WIDGET_ACTION_ICON	= 9;
	const DISPLAY_WIDGET_ERROR_INFO		= 10;
	
	/**
	 * @var int
	 */
	protected $type = null;
	/**
	 * @var Zwas_Text | string
	 */
	protected $label;	
	
	/**
	 * Get the type of the action
	 * @return int
	 */
	public function getType() {
		return $this->type;
	}

	/**
	 * Return the label message
	 * @return Zwas_Text | string
	 */
	public function getLabel() {
		return $this->label;
	}
}