<?php

/**
 * A class which represents an icon with javascript action
 * For example: the help links in a new cache rule definition
 */
class DisplayWidget_ActionIcon extends DisplayWidget_Abstract {
	
	const ICON_HELP	= 14;
	/**
	 * @var string of js
	 */
	private $action = null;
	
	/**
	 * @param string (js) $action
	 * @param Zwas_Text | string $label The label that will appear next to the info icon
	 */
	public function __construct($action, $label=null) {
		$this->type	= self::DISPLAY_WIDGET_ACTION_ICON;
		$this->iconType = self::ICON_HELP;
		$this->label = $label;
		$this->action = $action;
	}
	
	/**
	 * @return integer
	 */
	public function getIconType() {
		return $this->iconType;
	}
	
	/**
	 * @return string:js code
	 */
	public function getAction() {
		return $this->action;
	}

}