<?php

class DisplayWidget_ExternalLink extends DisplayWidget_Abstract {

	/**
	 * @var string
	 */
	private $url;
	/**
	 * @var string
	 */
	private $target;
	
	public function __construct($label, $url, $target = '_blank') {
		$this->type 	= self::DISPLAY_WIDGET_EXTERNAL_LINK;
		$this->url		= $url;
		$this->label	= $label;
		$this->target	= $target;
	}

	/**
	 * @return string
	 */
	public function getTarget() {
		return (string)$this->target;
	}

	/**
	 * @return string
	 */
	public function getUrl() {
		return (string)$this->url;
	}

	/**
	 * @param string $target
	 */
	public function setTarget($target) {
		$this->target = $target;
	}

	/**
	 * @param string $url
	 */
	public function setUrl($url) {
		$this->url = $url;
	}

}