<?php

/**
 * This is an extension action which has both a string that marks the error and a relevant modal dialog
 * box attached to it with content
 */
class DisplayWidget_InfoDialog extends DisplayWidget_Abstract {
	
	/**
	 * @var Zwas_Text | string
	 */
	private $dialogContent;
	/**
	 * @var Zwas_Text | string
	 */
	private $dialogTitle;
	
	/**
	 * @param Zwas_Text | string $label The label that will appear next to the info icon
	 * @param Zwas_Text | string $dialogTitle The title of the dialog box
	 * @param Zwas_Text | string $dialogContent The content of the dialog box
	 */
	public function __construct($label, $dialogContent, $dialogTitle=null) {
		$this->type				= self::DISPLAY_WIDGET_INFO_DIALOG;
		$this->dialogTitle		= $dialogTitle;
		$this->dialogContent	= $dialogContent;
		$this->label 			= $label;
	}
	
	/**
	 * Return the content that will appear in the dialog box
	 * @return Zwas_Text | string
	 */
	public function getDialogContent() {
		return $this->dialogContent;
	}
	
	
	/**
	 * Return the title that will appear in the dialog box
	 * @return Zwas_Text | string
	 */
	public function getDialogTitle() {
		return $this->dialogTitle;
	}
}