<?php

class DisplayWidget_MonitorRuleIconButton extends DisplayWidget_Link {
	
	const ICON_DELETE 	= 200;
	const ICON_ENABLE 	= 201;
	const ICON_DISABLE 	= 202;
	
	/**
	 * @var Zwas_Text | string
	 */
	private $tooltipContent;
	/**
	 * One of the ICON_* constants which defines which icon to display
	 * @var integer
	 */
	private $iconType;
	
	/**
	 * @param integer $iconType the type of the icon
	 * @param Zwas_Text | string $tooltipContent The content of the tooltip box
	 */
	public function __construct($iconType, $tooltipContent=null, $targetController = null, $targetAction = null) {
		$this->type				= self::DISPLAY_WIDGET_ICON_BUTTON;
		$this->iconType			= $iconType;
		$this->tooltipContent	= $tooltipContent;
		$this->label			= '';
		$this->targetController	= $targetController;
		$this->targetAction		= $targetAction;
		
		switch($this->iconType) {
			case self::ICON_DELETE:
				$this->controller	= 'Monitor-Component';
				$this->action		= 'Delete';
				break;
			case self::ICON_ENABLE:
				$this->controller	= 'Monitor-Component';
				$this->action		= 'Enable';
				break;
			case self::ICON_DISABLE:
				$this->controller	= 'Monitor-Component';
				$this->action		= 'Disable';
				break;
			default:
				$this->controller	= '';
				$this->action		= '';
				break;
		}
	}
	
	/**
	 * @return integer
	 */
	public function getIconType() {
		return $this->iconType;
	}

	/**
	 * @return Zwas_Text | string
	 */
	public function getTooltipContent() {
		return $this->tooltipContent;
	}
}
	