<?php

interface Extensions_ModelInterface {
	
	/**
	 * @param string $extensionName
	 * @return Extensions_ElementAbstract
	 */
	public function getElement($extensionName);

	/**
	 * Return list (array) of Extensions_ElementAbstract
	 * @return array
	 */
	public function getAvailableExtensionList();
		
	/**
	 * Load an extension
	 * @param Extensions_ElementAbstract $extensionElement
	 * @throws Zwas_Exception
	 */
	public function loadExtension(Extensions_ElementAbstract $extensionElement);
		
	/**
	 * Unload an extension
	 * @param Extensions_ElementAbstract $extensionElement
	 * @throws Zwas_Exception
	 */	
	public function unloadExtension(Extensions_ElementAbstract $extensionElement);
	
}