<?php
class Extensions_TableCachedBase extends TableCachedBase {

	/**
	 * @param string $extensionName
	 */
	public function markExtensionsAwaitsWebserverRestart($extensionName) {
		$where = $this->getAdapter()->quoteInto('name = ?', $extensionName);
		$this->updateWithoutCacheTimestamping(	array('awaitsRestart' => true), 
												$where);
						
	}

	/**
	 * @param string $extensionName
	 */
	public function unmarkExtensionsAwaitsWebserverRestart($extensionName) {
		$where = $this->getAdapter()->quoteInto('name = ?', $extensionName);
		$this->updateWithoutCacheTimestamping(	array('awaitsRestart' => false), 
												$where);
						
	}
	

	/**
	 * Returns an extension found by its name
	 * If there was more than a single result - throw an exception, 
	 * as extension name is unique, which means someone is playing with the db
	 *
	 * @param string $extensionName
	 * @return Zend_Db_Table_Rowset_Abstract
	 * @throws Zwas_Exception
	 */
	public function fetchExtension($extensionName) {
		$rows = $this->fetchAll($this->getAdapter()->quoteInto('name = ?', $extensionName));
		
		if (count($rows) > 1) {
			throw new Zwas_Exception(Zwas_Translate::_('Unexpected behavior has been detected in the internal database'));
		}
		
		return $rows;
	}	
}
