<?php

class Layout {
	
	/**
	 * @var Layout_Parser
	 */
	private $parser;
	
	public function __construct() {
		$layoutPath	= Zwas_Path::create(ZEND_SERVER_DATA_PATH, 'layout.xml');
		$layoutFile	= Context_FileSystem::getFileObject($layoutPath);
		$this->parser = new Layout_Parser($layoutFile);
	}
	
 	/**
     * @return array of Layout_Definition objects
     */
    public function getLayoutDefinitions() {
    	// TODO: refactor this method
    	$menuXml = $this->parser->getMenu();
    	$layoutDefinition = array();
    	
    	foreach ($menuXml as $item) {
    		$tab = new MenuItem((string)$item['name'], (string)$item['controller'], (string)$item['action']);
    		$tab->setImage((string)$item->image);
    		$tab->setIdentifier((string)$item->identifier);
    		$tab->setHelpIdentifier((string)$item->helpIdentifier);
    		
    		$defenition = new Layout_Definition();
    		$defenition->setTab($tab);
    		
    		if (count($item->menu->item)) {
    			$sidebar = new MenuItem();
    			foreach ($item->menu->item as $subItem) {
    				$subMenuItem = new MenuItem((string)$subItem['name'], (string)$subItem['controller'], (string)$subItem['action']);
    				$subMenuItem->setHelpIdentifier((string)$subItem->helpIdentifier);
		    		$sidebar->append( $subMenuItem );
    			}
	    		$defenition->setSidebarItems($sidebar);
	    		$defenition->setSidebarId((string)$item->sidebarid);
    		}

    		$layoutDefinition[] = $defenition;
    	}
    	
    	return $layoutDefinition;
    }
}