<?php

class Layout_Parser {
	
	/**
	 * @var SimpleXMLElement
	 */
	private $xml;

	/**
	 * Inialization of XML parser
	 *
	 * @param Zwas_FileObject $file
	 */
	public function __construct(Zwas_FileObject $file) {
		$this->xml = simplexml_load_string($file->readAll());
		if (false === $this->xml) {
			// TODO: do we have to log this exception
			throw new Zwas_Exception('Invalid layout file', Zwas_Exception::ASSERT);
		}
	}
	
	public function getMenu() {
		$menu = $this->xml->xpath('/layout/menu');
		if (empty($menu)) {
			// TODO: do we have to log this exception
			throw new Zwas_Exception('Invalid layout file', Zwas_Exception::ASSERT);
		}
		return $menu[0];
	}
}