<?php
class LoginForward implements Zwas_Semaphore_Interface {
	
	const NS = 'ZEND_SERVER_LOGIN_FORWARD';
	
	/**
	 * Initializes the session name space with the content of the request parameters
	 * @param array $unserializedParams an unserialized array holding the request parameters
	 */
	public static function init($unserializedParams) {
        $ns = new Zend_Session_Namespace(self::NS);
        $ns->content = rawurlencode(serialize($unserializedParams));
	}
	
	/**
	 * Gets the request parameters from the session
	 * @return array
	 */
	public static function getValue() {
	    if (self::isInitialized()){
	        $ns = new Zend_Session_Namespace(self::NS);
    		return unserialize( rawurldecode($ns->content) );
	    } else {
	        return array();
	    }
	}
	
    /**
     * Deletes the namespace from the session
     */
    public static function destroy() {
        Zend_Session::namespaceUnset(self::NS);
    }
    
    /**
     * Get whether or not the request parameters were set
     * @return bool
     */
    protected static function isInitialized() {
        return Zend_Session::namespaceIsset(self::NS);
    }
	
}
