<?php

class MenuItem extends ArrayIterator {

	/**
	 * @var string|Zwas_Text
	 */
	private $label;
	/**
	 * @var string
	 */
	private $controller;
	/**
	 * @var string
	 */
	private $action;
	/**
	 * @var string
	 */
	private $identifier;
	/**
	 * @var string
	 */
	private $image;
	/**
	 * The identifier for the context help
	 * @var string
	 */
	private $helpIdentifier = '';
	
	/**
	 * @param string|Zwas_Text $label
	 * @param string $controller
	 * @param string $action
	 */
	public function __construct($label=null, $controller=null, $action=null) {
		$this->label		= $label;
		$this->controller	= $controller;
		$this->action		= $action;
		// create the default id, programmer may override it later
		$this->identifier	= self::generateId($controller, $action);
	}
	
	/**
	 * @return string
	 */
	public function getAction() {
		return $this->action;
	}

	/**
	 * @return string
	 */
	public function getController() {
		return $this->controller;
	}

	/**
	 * @return string
	 */
	public function getLabel() {
		return $this->label;
	}
	
	/**
	 * @return string
	 */
	public function getImage() {
		return $this->image;
	}
	
	/**
	 * @return string
	 */
	public function getIdentifier() {
		return $this->identifier;
	}
	
	/**
	 * @return string
	 */
	public function getHelpIdentifier() {
		return $this->helpIdentifier;
	}
	
	/**
	 * @param string $image
	 */
	public function setImage($image) {
		$this->image = $image;
	}

	/**
	 * @param string $id
	 */
	public function setIdentifier($id) {
		$this->identifier = $id;
	}

	/**
	 * @var string $helpId
	 */
	public function setHelpIdentifier($helpId) {
		$this->helpIdentifier = $helpId;
	}
	 
	/**
	 * @param string $controller
	 * @param string $action
	 * @return string
	 */
	static public function generateId($controller, $action=null) {
		return strtolower(str_replace(array('-', '\\', '/'), '', $controller . $action));
	}
}
