<?php

/**
 * An abstract definition of a message pane element
 */
abstract class MessagePane_Abstract {
	
	const MESSAGE_PANE_NULL		= 1;
	const MESSAGE_PANE_ERROR	= 2;
	const MESSAGE_PANE_NOTICE	= 3;
	const MESSAGE_PANE_SUCCESS	= 4;
	const MESSAGE_PANE_INFO		= 5;
	
	/**
	 * @var string|Zwas_Text
	 */
	private $message;
	/**
	 * @var integer
	 */
	private $type;
	/**
	 * @var array
	 */
	private $contentLoaderDetails;
	/**
	 * @var array|string
	 */
	private $link;
	
	/**
	 * Create a new MessagePane_Abstract element
	 *
	 * @param string|Zwas_Text $msg
	 * @param int $type
	 */
	public function __construct($msg, $type) {
		$this->message = $msg;
		$this->type = $type;
	}

	/**
	 * @return string
	 */
	public function getMessage() {
		return trim($this->message);
	}

	/**
	 * @return integer
	 */
	public function getType() {
		return $this->type;
	}

	/**
	 * @return array|string
	 */
	public function getLink() {
		return $this->link;
	}

	/**
	 * For using contentLoader, the $link should be an 
	 * 	array with these keys: controller, action, params[optional], sidebarId[optional]
	 * For using a full link, the $link should be a string
	 * 
	 * @param array|string $link 
	 */
	public function setLink($link) {
		$this->link = $link;
		return $this;
	}


	
}