<?php
class Newsletter {
	
	/**
	 * Register the email address to Zend's newsletter
	 * @param string $email
	 * @throws Zwas_Exception
	 */
	public static function register($email) {
		
		$validator = new Zend_Validate_EmailAddress(Zend_Validate_Hostname::ALLOW_DNS);
		
		if ($validator->isValid($email)) {
			$client = new Zend_Http_Client();
			$client->setUri('http://now.eloqua.com/e/f2.aspx');
			$client->setMethod(Zend_Http_Client::POST);
			$client->setHeaders('user-agent', 'Zend Server');
			
			$client->setParameterPost('elqFormName', 	'ServerSignup');
			$client->setParameterPost('elqSiteID', 		'714');
			$client->setParameterPost('email',			$email);
			
			try {
				$client->request();
			} catch (Zend_Http_Client_Exception $e) {
				Zwas_Log::logMessage($e->getMessage(), Zend_Log::WARN);
				throw new Zwas_Exception(Zwas_Translate::_('Your subscription request has not been sent. Please try again later'), Zwas_Exception::WARNING);
			}
			
			ApplicationModel::setNewsletterEmail($email);
		} else {
			throw new Zwas_Exception(Zwas_Translate::_('Enter a valid email address'), Zwas_Exception::WARNING);
		}
	}
}