<?php

interface PhpMemory_Interface {
	
	/**
	 * @param string $name
	 * @return string
	 */
	public function iniGet($name);
	
	/**
	 * @param string $name
	 * @return string
	 */
	public function getCfgVar($name);
	
	/**
	 * @param array|struct $names
	 * @return array|struct
	 */
	public function getCfgVars(array $names);
	
	/**
	 * @return array
	 */
	public function getLoadedExtensions();

	/**
	 * Get an array with all the available ini files scanned by php, starting with the php.ini
	 * elements are numeric key => full ini file path value
	 * @return array
	 */
	public function getIniScannedFiles();

	/**
	 * @return string
	 */
	public function getPhpIniFileLocation();

	/**
	 * Return the directory where the extensions' ini files are (compilation --with-config-file-scan-dir)
	 * @return string
	 */
	public function getIniScannedDirectory();

	/**
	 * Get all directives
	 * @return array
	 */	
	public function iniGetAll();
	
	/**
	 * Set an ini directive's memory value
	 * @param string $name
	 * @param $value
	 * @return string the old value on success, false on failure.
	 */
	public function iniSet($name, $value);
	
	/**
	 * Wrapper to phpinfo();
	 * @return string
	 */
	public function getPhpInfo();

}