<?php

class PhpMemory_ZwasServer extends ZwasServer implements PhpMemory_Interface {

	protected function getNameSpace() {
		return 'PhpMemory_Interface';
	}

	/**
	 * @param string $name
	 * @return string
	 */
	public function iniGet($name) {
		return $this->remoteAction(__FUNCTION__, array($name));
	}
	
	/**
	 * @param string $name
	 * @return string
	 */
	public function getCfgVar($name) {
		return $this->remoteAction(__FUNCTION__, array($name));
	}
	
	/**
	 * @param array|struct $names
	 * @return array|struct
	 */
	public function getCfgVars(array $names) {
		return $this->remoteAction(__FUNCTION__, array($names));
	}
	
	/**
	 * @return array
	 */
	public function getLoadedExtensions() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * Get an array with all the available ini files scanned by php, starting with the php.ini
	 * elements are numeric key => full ini file path value
	 * @return array
	 */
	public function getIniScannedFiles() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * @return string
	 */
	public function getPhpIniFileLocation() {
		return $this->remoteAction(__FUNCTION__);
	}

	/**
	 * @return string
	 */
	public function getZendIniScandir() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * Return the directory where the extensions' ini files are (compilation --with-config-file-scan-dir)
	 * @return string
	 */
	public function getIniScannedDirectory() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * Get all directives
	 * @return array
	 */
	public function iniGetAll() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * @param string $name
	 * @param string $value
	 * @return string the old value on success, false on failure.
	 */
	public function iniSet($name, $value) {
		return $this->remoteAction(__FUNCTION__, array($name, $value));
	}
	
	/**
	 * Wrapper to phpinfo();
	 * @return string
	 */
	public function getPhpInfo() {
		return $this->remoteAction(__FUNCTION__);
	}
	
}