<?php
class ShowWelcome implements Zwas_Semaphore_Interface {
	
	const NS = 'ZEND_SERVER_SHOW_WELCOME';

	/**
	 * Initializes the session name space with the content of the request parameters
	 */
	public static function init() {
        $ns = new Zend_Session_Namespace(self::NS);
        $ns->content = true;
	}
	
	/**
	 * Get whether or not to show the welcome dialog
	 * @return true
	 */
	public static function getValue() {
	    $ns = new Zend_Session_Namespace(self::NS);
	    $result = $ns->content;
	    return ((true === $result) && (ApplicationModel::getDisplayWelcome()));
	}
	
    /**
     * Deletes the namespace from the session
     */
    public static function destroy() {
        Zend_Session::namespaceUnset(self::NS);
    }
    
    /**
     * Get whether or not the request parameters were set
     * @return bool
     */
    protected static function isInitialized(){
        return Zend_Session::namespaceIsset(self::NS);
    }
	
}