<?php

/**
 * SystemModel
 */
class SystemModel {
	
	public static function getServerInfo() {
		$server = Context_Api::getPhpGlobals()->getServerAll();
		return array(	'server_name'	=> (isset($server['SERVER_NAME'])) ? $server['SERVER_NAME'] : Zwas_Translate::_('Unknown'),
						'software'		=> (isset($server['SERVER_SOFTWARE'])) ? $server['SERVER_SOFTWARE'] : Zwas_Translate::_('Unknown'),
						'os'			=> Context_Os::getOsName()
					);
	}
	
	public static function getPHPDetails() {
		$phpIniFile = Context_Api::getPhpMemory()->getPhpIniFileLocation();
		try {
			Context_FileSystem::getFileObject($phpIniFile);
		} catch (Exception $e) {
			$phpIniFile = new Zwas_Text(Zwas_Translate::_('The php.ini is not available in \'%s\''), array($phpIniFile));
		}
		
		return array(	'version'		=> Context_Api::getPhpGlobals()->getPhpVersion(),
    					'config_file'	=> $phpIniFile
					);
	}

	public static function getZendServerInfo() {
		try {
			$version = ApplicationModel::getZendServerVersion();
		} catch (Exception $e) {
			$version = Zwas_Translate::_('Unknown');
		}
		
		try {
			$packageBuild = ApplicationModel::getPackageBuild();
		} catch (Exception $e) {
			$packageBuild = '';
		}
		
		return array(
						'version'		=> $version,
						'packageBuild'	=> $packageBuild,
					);
	}
	
	public static function getZendFrameworkInfo() {
		$zfPath = Zwas_Path::create(ZEND_SERVER_INSTALL_PATH, 'share/ZendFramework');
		$zfFile = Zwas_Path::create($zfPath, 'library/Zend/Version.php');
		
		$enable = false;
		$version = Zwas_Translate::_('Unknown');
		
		if (file_exists($zfFile)) {
			include_once $zfFile;
			if (class_exists('Zend_Version', false)) {
				$version = Zend_Version::VERSION;
				$enable = true;
			}
		}
		
		return array('installed_path'	=> $zfPath,
					 'version'			=> $version,
					 'enable'			=> $enable);
	}
}
