<?php

abstract class Systray_Abstract {
	
	const STATUS_SUCCESS	= 1;
	const STATUS_FAIL		= 0;
	
	/**
	 * @var Systray_Response
	 */
	protected $response;
	
	public function __construct() {
		$this->response = new Systray_Response();
	}
	
	/**
	 * Set the response object to return failure message.
	 *
	 * @param string $action
	 * @param string $message
	 * @return Systray_Response
	 */
	public function raiseError($action, $message) {
		$this->response->setAction($action, Systray_Executer::STATUS_FAIL, $message);
		return $this->response;
	}
		
	/**
	 * Execute an action and return Systray response object.
	 * 
	 * @param string $action
	 * @return Systray_Response
	 */
	abstract public function run($action);
	
}
	