<?php

class Systray_Response {
	
	private $action			= array();
	private $components		= array();
	private $needRestart	= false;
	private $authToken		= '';
	
	/**
	 * @return return array (keys: id, status, message)
	 */
	public function getAction() {
		return $this->action; 
	}
	
	/**
	 * @return array or array (each keys: id, status, message)
	 */
	public function getComponents() {
		return $this->components;
	}
	
	/**
	 * @return boolean
	 */
	public function getNeedRestart() {
		return (boolean)$this->needRestart;
	}
	
	/**
	 * @return string
	 */
	public function getAuthenticationToken() {
		return (string)$this->authToken;
	}
	
	/**
	 * @param boolean $bool
	 */
	public function setNeedRestart($bool) {
		$this->needRestart = $bool;	
	}
	
	/**
	 * @param string $id
	 * @param integer $status
	 * @param string $message
	 */
	public function setAction($id, $status, $message = null) {
		$this->action['id']			= $id;
		$this->action['status']		= $status;
		$this->action['message']	= $message;
	}

	/**
	 * @param string $id
	 * @param integer $status
	 * @param string $message
	 */
	public function addComponent($id, $status, $message = null) {
		$this->components[$id] = array(	'id'		=> $id,
										'status'	=> $status,
										'message'	=> $message);	
	}

	/**
	 * @param string $token
	 */
	public function setAuthenticationToken($token) {
		$this->authToken = $token;
	}
}