<?php	

class ZwasComponents_Accelerator_Model extends ZwasComponents_Enableable {

	/**
	 * @var string
	 */
	protected $directiveEnable = 'zend_optimizerplus.enable';
	
	/**
	 * @return string
	 */
	public function getExtensionName() {
		return 'Zend Optimizer+';
	}

	/**
	 * @return boolean
	 */
	public function reset() {
		return Context_Api::getAcceleratorAPI()->reset();
	}

	/**
	 * Return the controller associated with this component
	 * @return string
	 */
	protected function getController() {
		return 'Accelerator';
	}
			
	/**
	* Returns an array with appropriate actions inside
	*
	* @param string $targetController
	* @param string $targetAction
	* @return array
	*/
	protected function getDisplayActionContainer($targetController = null, $targetAction = null) {
		$actions = array();
		
		if ((! $this->isLoadedWithError()) && $this->isLoadedInMemory() && $this->isEnabledInMemory()) {
			$clean = new DisplayWidget_Link(Zwas_Translate::_('Clear'), 'Accelerator', 'Reset', $targetController, $targetAction);
			$actions[] = $clean;
		}
		
		return $actions;
	}

}