<?php

abstract class ZwasComponents_Debugger_Forms_Abstract {

	protected $id;
	
	protected $action;
	
	protected $sidebarId;
	
	public function __construct($id, $action, $sidebarId = null) {
		$this->id = $id;
		$this->action = $action;
		$this->sidebarId = $sidebarId;
	}
	
	/**
	 * form id
	 * @return string
	 */
	public function getFormId() {
		return $this->id;
	}

	/**
	 * form action (action method for the controller)
	 * @return string
	 */
	public function getAction() {
		return $this->action;
	}
	
	/**
	 * controller name
	 * @return string
	 */
	public function getController() {
		return 'Debugger';
	}
	
	/**
	 * html element id for ajax update
	 * @return string
	 */
	public function getTargetContent() {
		return 'content';
	}
	
	/**
	 * specific sidebar item identifier
	 * @return string
	 */
	public function getSidebarId() {
		return $this->sidebarId;
	}
}