<?php

class ZwasComponents_Model_Factory {
	
	/**
	 * @param $applicationVersion
	 * @return ZwasComponents_Model_Interface
	 * @throws Zwas_Exception
	 */
	public static function getModel($applicationVersion = ZEND_SERVER_APP_VERSION) {
		switch ($applicationVersion) {
			case 'CE':
				return new ZwasComponents_Model_CE();
			case 'PE':
				return new ZwasComponents_Model_PE();
			case 'EE':
				return new ZwasComponents_Model_EE();
			default:
				throw new Zwas_Exception(	'Could not locate the appropriate ZwasComponents_Model for ' . $applicationVersion,
											Zwas_Exception::ASSERT
										);
		}
	}
}
