<?php
interface ZwasComponents_ProbeInterface {
	/**
	 * @return boolean
	 */
	public function isLoadedInMemory();
	
	/**
	 * @return boolean
	 */
	public function isLoadedInFile();
	
	/**
	 * Returns whether or not the component is loaded with an error (not licensed, not enabled or loading error)
	 *
	 * @return boolean
	 */
	public function isLoadedWithError();
	
	/**
	 * Returns the error that caused the component to load with error
	 *
	 * @see isLoadedWithError()
	 * @return string
	 */
	public function getLoadedErrorString();
	
	/**
	 * Return whether the whole _component_ awaits a server restart (in some, this
	 * also depends on the enable directive)
	 *
	 * @return boolean
	 */
	public function awaitsRestart();
}