<?php

class ZwasComponents_Util_Api_ZwasServer extends ZwasServer implements ZwasComponents_Util_Api_Interface {
	
	/**
	 * @var boolean
	 */
	private static $configurationChangeCacheFlag = true;

	/**
	 * @return array
	 */
	public function getExtensionsInfo() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * @return array
	 */
	public function getLicenseInfo() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * @return array
	 */
	public function getSerialNumberInfo($key, $username) {
		if (function_exists('zem_serial_number_info')) {
			return zem_serial_number_info($key, $username);
		}
		UserServer::throwMissingApiFunctionError(__CLASS__, __FUNCTION__, 'zem_serial_number_info');
	}
	
	/**
	 * @return boolean
	 */
	public function isConfigurationChanged() {
		// If "configurationChangeCacheFlag" flag in ON, we can no longer use cache
		if (self::$configurationChangeCacheFlag) {
			self::$configurationChangeCacheFlag = false;
			return $this->remoteAction(__FUNCTION__, array(), false);
		} else {
			return $this->remoteAction(__FUNCTION__);
		}
	}
	
	public function setConfigurationChanged() {
		self::$configurationChangeCacheFlag = true;
		return $this->remoteAction(__FUNCTION__);
	}
		
	/**
	 * Restart the webserver's PHP
	 * @return boolean if the server was signaled for a restart.  Note: it can't tell if the restart went OK
	 */
	public function restartPhp() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	protected function getNameSpace() {
		return 'ZwasComponents_Util_Api_Interface';
	}
}