<?php
/**
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_ContentLoader extends Zwas_View_Helper_CommonLoader {
	
	/**
	 * Get a javascript function call to contentLoader()
	 *
	 * @param string $controller
	 * @param string $action
	 * @param array $param holds GET variables in key => value format to add to the URI
	 * @param string $sidebarId specific sidebar item identifier
	 * @return string
	 */
	public function contentLoader($controller, $action=null, array $params = null, $sidebarId = null) {
		$normalizedController	= $this->normalizeElement($controller);
		$normalizedAction		= $this->normalizeElement($action);
		 
		$params['controller'] = $normalizedController; 
		if (! is_null($action)) {
			$params['action'] = $normalizedAction;
		}
		
		// create default sidebar ID automatically
		if (is_null($sidebarId)) {
			$sidebarId = MenuItem::generateId($normalizedController, $normalizedAction);
		}
		
		return "layoutManager.contentLoader('{$this->view->url($params, null, true)}', '{$sidebarId}');";
	}	

}