<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_DirectivesSection extends Zend_View_Helper_Abstract {
	
	/**
	 * @param Directives_DisplayData_Section $section
	 * @param boolean $lastItem
	 * @param boolean $autoOpen
	 * @return string
	 */
	public function directivesSection(Directives_DisplayData_Section $section, $lastItem=false, $autoOpen=false) {
		$id = md5($section->getTitle());
		$lastItem = ($lastItem) ? ' last' : '';
		$mainDivClass = ($autoOpen) ? '' : 'collapse';
		
		$string = <<<SECTION
		<div id="{$id}" class="{$mainDivClass}">
			<div class="collapsable{$lastItem} hand" onclick="dojo.toggleClass('{$id}', 'collapse');return false;">
				<button>&nbsp;</button>
				<strong>{$this->view->escape($section->getTitle())}</strong>
				<div class="extension-link">{$this->view->displayWidget($section->getActionLink())}</div>
				<div class="needs-restart">{$this->view->escape($section->getMessage())}</div>
			</div>
			<div class="inner-collapsable">
				<table cellpadding="0" cellspacing="0" class="t100">
SECTION;

		$list = $section->getDirectivesList();
		$size = count($list);
		foreach ($list as $directive) { /* @ var $directive Directives_DisplayData_Abstract */
			--$size;
			$string .= $this->view->directive($directive, ($size==0));								
		}
		$string .= "</table></div></div>";

		return $string;
	}
}