<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_LayoutMap extends Zend_View_Helper_Abstract {
	
	private $output = '';
	/**
	 * @param array
	 * @return string
	 */
	public function layoutMap(array $layouts) {
		foreach($layouts as $layout) { /* @var $layout Layout_Definition */
			$tabId = $layout->getTab()->getIdentifier();
			$this->output .= PHP_EOL . '// Mapping for tab: ' . $tabId . PHP_EOL;
			$this->output .= "layoutTabToSidebarDiv[\"{$tabId}\"] = \"{$layout->getSidebarId()}\";" . PHP_EOL;
		
			foreach($layout->getSidebarItems() as $item) { /* @var $item MenuItem */
				$this->layoutSidebarToTabLine($item, $tabId);
			}
			
			foreach($layout->getSidebarItems() as $item) { /* @var $item MenuItem */
				$this->layoutSidebarToHelpIdLine($item);
			}
		}
		return $this->output;
	}
	
	private function layoutSidebarToTabLine(MenuItem $item, $tabId) {
		$this->output .= "layoutSidebarToTab[\"{$item->getIdentifier()}\"] = \"{$tabId}\";" . PHP_EOL;
	
		// recursively go to sub items
		if ($item->count()) {
			foreach($item as $childItem) {
				$this->layoutSidebarToTabLine($childItem, $tabId);
			}
		}
	}

	private function layoutSidebarToHelpIdLine(MenuItem $item) {
		$helpId = $item->getHelpIdentifier();
		if ($helpId != '') {
			$this->output .= "layoutSidebarToHelpId[\"{$item->getIdentifier()}\"] = \"{$helpId}\";" . PHP_EOL;
		}
		
		// recursively go to sub items
		if ($item->count()) {
			foreach($item as $childItem) {
				$this->layoutSidebarToHelpIdLine($childItem);
			}
		}	
	}
}