<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_LoginForm extends Zend_View_Helper_Abstract {

	/**
	 * @return string
	 */
	public function loginForm($actionUrl, $msgBoxExists) {
		 // Conditional css: saving place when we don't have a message pane
		$marginHeight = ($msgBoxExists) ?  '15px' : '50px';
		
		$passwordLabel 	= Zwas_Translate::_('Password');
		$passwordField 	= $this->view->formPassword('password');
		$formButton		= $this->view->button(Zwas_Translate::_('Login'), "dojo.byId('loginForm').submit();", 'dark-bg-button', 'login-button', false);
		
		$helpLabel				= Zwas_Translate::_('Zend Server Help');
		$passwordReminderLabel	= Zwas_Translate::_('Forgot your password?');
		
		return <<<FORM_CONTENT
		<form name="loginForm" id="loginForm" method="post" action="{$actionUrl}">
			<div style="padding-top:{$marginHeight}">
			<table class="loginFormTable table-middle" cellpadding="2" cellspacing="2">
				<tr>
					<td>{$passwordLabel}</td>
					<td>{$passwordField}</td>
					<td>{$formButton}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td colspan="2">
						<a onclick="javascript:layoutManager.showHelp('{$helpLabel}');">
							{$passwordReminderLabel}
						</a>
					</td>
				</tr>
			</table>
			</div>
		</form>
FORM_CONTENT;
	}

}
