<?php

require_once 'Zend/View/Helper/Navigation/HelperAbstract.php';

class Zwas_View_Helper_Navigation_Buttons extends Zend_View_Helper_Navigation_HelperAbstract {
	
	/**
	 * @param Zend_Navigation_Container $container
	 * @return Zwas_View_Helper_Navigation_Buttons
	 */
	public function buttons(Zend_Navigation_Container $container = null) {
		if (null !== $container) {
            $this->setContainer($container);
        }

        return $this;
	}

    /**
     * @param Zend_Navigation_Container $container
     * @see Zend/View/Helper/Navigation/Zend_View_Helper_Navigation_Helper#render()
     */
    public function render(Zend_Navigation_Container $container = null) {
    	return <<<XHTML
    	<table cellpadding="0" cellspacing="0">
			<tr>
				<td class="w100">&nbsp;</td>
				<td>{$this->getPrevButton()}</td>
				<td>{$this->getNextButton()}</td>
			</tr>
		</table>
XHTML;
    }
    
    /**
     * @return string
     */
    private function getNextButton() {
    	return $this->view->button(	$this->getNextButtonLabel(),
								"dijit.byId('wizard-step').submit()",
								'strong-button',
								'next');
    }
    
    /**
     * @return string
     */
    private function getPrevButton() {
    	$previousPage	= null;
    	try {
    		$currentPage	= $this->_container->current();
    		$pages			= $this->_container->getPages();
    		
    		foreach ($pages as $page) { /* @var $page Zend_Navigation_Page_Mvc */
    			if ($currentPage->hashCode() === $page->hashCode()) {
    				break;
    			}
    			$previousPage = $page;
    		}
    		
    	} catch (Zend_Navigation_Exception $e) {
    		
    	}
    	
    	if ($previousPage instanceof Zend_Navigation_Page_Mvc) {
    		$previousUrl = $this->view->url(array(
    			'controller'	=> $previousPage->getController(), 
    			'action'		=> $previousPage->getAction(),
    		));
    		
    		return $this->view->button(	Zwas_Translate::_('Back'),
									"zend.doGet('{$previousUrl}', 'content')",
									'strong-button',
									'prev');
    	}
    	return '';
    }

    /**
     * @return string
     */
    private function getNextButtonLabel() {
    	try {
    		$currentPage	= $this->_container->current();
    	
	    	$pages = $this->_container->getPages();
	    	$lastPage		= array_pop($pages);
	    	
	    	if ($currentPage->hashCode() === $lastPage->hashCode()) {
	    		return Zwas_Translate::_('Finish');
	    	}
    	} catch (Zend_Navigation_Exception $e) {
    		
    	}
    	return Zwas_Translate::_('Next');
    }
    
}
