<?php

require_once 'Zend/View/Helper/Navigation/HelperAbstract.php';

class Zwas_View_Helper_Navigation_Progress extends Zend_View_Helper_Navigation_HelperAbstract {
	
	/**
	 * @var array
	 */
	private $pages;
	
	/**
	 * @param Zend_Navigation_Container $container
	 * @return Zwas_View_Helper_Navigation_Progress
	 */
	public function progress(Zend_Navigation_Container $container = null) {
		if (null !== $container) {
            $this->setContainer($container);
        }
        
        return $this;
	}

    /**
     * @param Zend_Navigation_Container $container
     * @see Zend/View/Helper/Navigation/Zend_View_Helper_Navigation_Helper#render()
     */
    public function render(Zend_Navigation_Container $container = null) {
    	try {
    		$page = $this->_container->current();
    	} catch (Zend_Navigation_Exception $e) {
    		return '';
    	}

    	// The following call needs to be in this method and not in the main 'progress' method
    	// as the container may have changed through this method's arguments
        $this->pages = $this->getContainer()->getPages();
        
    	$numOfPages = count($this->pages);
    	
    	if (1 === $numOfPages) {
    		return $page->getLabel();
    	} else {
    		$xhtml = new Zwas_Text(
    			Zwas_Translate::_('Step %s of %s : %s'),
    			array(
    				$this->getPageNumber($page),
    				$numOfPages,
    				$page->getLabel()
    			)
    		);
    		return (string)$xhtml;
    	}
    }
    
    /**
     * @param Zend_Navigation_Page $page
     * @return integer
     */
    private function getPageNumber(Zend_Navigation_Page $page) {
    	$i = 1;
    	$pageHash = $page->hashCode();
    	foreach ($this->pages as $key => $value) {
    		if ($key === $pageHash) {
    			return $i;
    		}
    		$i++;
    	}
    	return 0;
    }
    
}
