<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_PublishMessage extends Zend_View_Helper_Abstract {
	
	/**
	 * Call to message pane to publish a message
	 * This helper does not check if themessage pane is exist
	 *
	 * @return string
	 */
	public function publishMessage() {
		$msg = $this->view->layout()->getView()->messagePaneObj;
		
		// If there is no message or the message object is null, just display the widget (for later use, like errors from js)
		if ((! $msg) || (MessagePane_Abstract::MESSAGE_PANE_NULL == $msg->getType()) ) {
			return "dojo.publish('/zend/messagePane/hide');";
		}
		$levels = array(
			MessagePane_Abstract::MESSAGE_PANE_ERROR	=> 'error',
			MessagePane_Abstract::MESSAGE_PANE_NOTICE	=> 'notice',
			MessagePane_Abstract::MESSAGE_PANE_SUCCESS	=> 'success',
			MessagePane_Abstract::MESSAGE_PANE_INFO		=> 'info'
		);
		
		$msgContent = addslashes($this->view->messagePaneContent($msg));
		$msgLevel	= $levels[ $msg->getType() ];
		
		return "zend.message('{$msgContent}', '{$msgLevel}');";
	}
}