<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_SystrayResponse extends Zend_View_Helper_Abstract {
	
	/**
	 * @param Systray_Response $response
	 * @return string
	 */
	public function systrayResponse(Systray_Response $response) {
		
		$action = $response->getAction();
		
		$xmlString = <<<XMLSTRING
			<response>
				<action id="{$action['id']}">
					<status>{$action['status']}</status>
					<message>{$action['message']}</message>
				</action>
XMLSTRING;

		if ($action['status']) {
			
			if ('getToken' == $action['id']) {
				$xmlString.= "<token>{$response->getAuthenticationToken()}</token>";
			} else {
				$needRestart = ($response->getNeedRestart()) ? '1' : '0';
				$xmlString.= "<needRestart>{$needRestart}</needRestart>";
				
				$xmlString.= '<pong>';
				foreach ($response->getComponents() as $component) {
					$xmlString.= <<<COMPONENT
						<component id="{$component['id']}">
							<status>{$component['status']}</status>
							<message>{$component['message']}</message>
						</component>
COMPONENT;
				}
				$xmlString.= '</pong>';
			}

		}
				
		$xmlString.= '</response>';
		
		return $xmlString;
		
	}
	
}