<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_TabList extends Zend_View_Helper_Abstract {
	
	/**
	 * Retrive the tabs html
	 *
	 * @param array $tabs
	 * @return string
	 */
	public function tablist(array $layouts) {

		$list = "<ul>\n";
		$counter = 0;
		foreach ($layouts as $tab) { /* @var $tab Layout_Definition */
			$item 		= $tab->getTab();
			$controller	= $item->getController();
			$action		= $item->getAction();
			
			$link		= $this->view->contentLoader($controller, $action);
			$text		= $this->view->escape($item->getLabel());
			$id			= $item->getIdentifier(); 
			
			if ($item->getImage()) {
				$imageSrc	= "images/icons/{$item->getImage()}.gif";
				$imageSrc	= $this->view->baseurl($imageSrc);
				$image		= "<img src=\"$imageSrc\" />";
			} else {
				$image = '';
			}
			
			$list .= "<li id=\"{$id}\" onclick=\"{$link}\">
						<a><span>{$image}{$text}</span></a>
					  </li>\n";
			++$counter;
		}
		$list .= "</ul>\n";
		
		return $list;
	}

}