<?php
 
class CheckDependencies {
	
	/**
	 * Factory method to create the dependencies check object
	 *
	 * @param string $applicationVersion
	 * @return CheckDependencies_CE
	 */
	public static function getChecker($applicationVersion) {
		switch ((string)$applicationVersion) {
			case 'CE':
				require_once ZEND_SERVER_APP_PATH . '/CE/models/CheckDependencies/CE.php';
				return new CheckDependencies_CE();
				break;
				
			case 'PE':
				require_once ZEND_SERVER_APP_PATH . '/PE/models/CheckDependencies/PE.php';
				return new CheckDependencies_PE();
				break;
				
			case 'EE':
				require_once ZEND_SERVER_APP_PATH . '/EE/models/CheckDependencies/EE.php';
				return new CheckDependencies_EE();
				break;
		}
		throw new Exception('Unknown application version');
	}
}