<?php
/// batch bootstrap
require_once '../../batch.bootstrap.php';

if ('EE' !== ZEND_SERVER_APP_VERSION) {
	die('This script should only run in ZSCM');
}

defined('ZEND_SERVER_USER_AGENT') ? null : define('ZEND_SERVER_USER_AGENT',	'Zend ZSM');

$monitorUiModel = new ZwasComponents_ZSM_MonitorUi_Model();
$configuration = $monitorUiModel->getNodeMonitorConfiguration();

$globalThreshold = isset($configuration['zend_monitor_ui.expiration_days']) ? 
	$configuration['zend_monitor_ui.expiration_days'] : null;
$unopenThreshold = isset($configuration['zend_monitor_ui.expiration_days_closed']) ? 
	$configuration['zend_monitor_ui.expiration_days_closed'] : null;

$monitorUiModel = new ZwasComponents_MonitorUi_Model();
$monitorUiModel->deleteOldIssues($globalThreshold, $unopenThreshold);

$nodesModel = new Nodes_Model();
$traceIds = array();
foreach($nodesModel->getRespondingNodes() as $node) {
	$nodeResponse = $nodesModel->getCommMapper()->remoteAction($node, 'Node-Monitor-Ui', 'Clean-Old-Issues', array('global' => $globalThreshold, 'unopen' => $unopenThreshold));
	if ($nodeResponse->isError()) {
		Zwas_Log::logMessage(new Zwas_Text(Zwas_Translate::_('Error response [$s] %s'), array($nodeResponse->getCode(), $nodeResponse->getMessage())));
		continue;
	} elseif (! is_array($nodeResponse->getData())) {
		Zwas_Log::logMessage(new Zwas_Text(Zwas_Translate::_('Expected an array from server %s'), array($node->getId())));
		continue;
	}
	$moreTraceIds = $nodeResponse->getData();
	$traceIds = array_merge($traceIds, $moreTraceIds);
}

$failed = $monitorUiModel->getCodetracingModelDelegateDelete()->deleteDumps($traceIds);
