<?php
require_once ZEND_SERVER_APP_PE_PATH . '/controllers/CodeTracingAmfController.php';

class EE_CodeTracingAmfController extends PE_CodeTracingAmfController {
	
	/**
	 * get the amf file for download
	 */
	public function downloadAmfAction(){
		$dumpId = $this->getTrimmedParam('dumpId');
		$eventGroupId = $this->getTrimmedParam('eventGroupId');
		$eventGroupData	= Context_Api::getMonitorUiApi()->getEventGroupData($eventGroupId);
		
		$issueId = $eventGroupData[ZM_DATA_ISSUE_ID];

		$model = $this->getModel();
		try {
			$amfDetails = $model->getDumpFileAmfDetails($dumpId);

			header("Content-Length: " . $amfDetails->getLength());
			$downloadFilename = 'event_trace_' . $issueId . '_' . $eventGroupId . '_' . $dumpId . '.amf';
			$this->getResponse()->setHeader('Content-type', 'application/x-amf');
			$this->getResponse()->setHeader('Content-Disposition', 'attachment; filename="' . $downloadFilename . '"');
			
			$amfDetails->getFile()->fpassthru();
		} catch (Zwas_Exception $e) {
			Zwas_Log::logException('Could not get the trace file data', $e);
			header("Content-Length: 0");
		}
	}
		
	/**
	 * @return ZwasComponents_CodeTracing_Model
	 * @throws Zwas_Exception
	 */
	protected function getModel() {
		if (is_null($this->model)) {
			$this->model = new ZwasComponents_ZSM_CodeTracing_Model();
		}
		return $this->model;
	}
}