<?php
require_once ZEND_SERVER_APP_PE_PATH . '/controllers/InformationController.php';

class EE_InformationController extends PE_InformationController {
	
	public function dashboardAction() {
		//get issue preview list
		$nodesModel = new Nodes_Model();
		try {
			if (! $nodesModel->hasNodes()) {
				$this->setMessagePane(new MessagePane_Info(Zwas_Translate::_('There are currently no open events to show')));
				$this->view->issuesList = array();
			} else {
				$monitorUiModel = new ZwasComponents_MonitorUi_Model();
				$this->view->issuesList = $monitorUiModel->getPreviewIssues();
				if (count($this->view->issuesList) == 0) {
					$this->setMessagePane(new MessagePane_Info(Zwas_Translate::_('There are currently no open events to show')));
				} else {
					try {
						$licenseModel = Context_Version::getLicenseModel();					
						try {
							$licenseModel->verifyLicense();
						} catch (Zwas_Exception $e) {
							$this->setMessagePane(new License_MessagePane_Error($e->getMessageObject()));
							$this->view->issuesList = array();	// do not display the issues list as there is a license problem
						}
						
					} catch (Zwas_Exception $e) {
						$this->setMessagePane(new License_MessagePane_Error($e->getMessageObject()));
						$this->view->issuesList = array();	// do not display the issues list as there is a license problem
					}
					
				}
			}
						
		} catch (Zwas_Exception $e) {
			$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
			$this->view->issuesList = array();
		}
		
		//get nodes list			
		try {
			$this->view->nodesList = $nodesModel->getNodesListOrderedByName();	
			if ($this->view->nodesList->count() == 0) {
				
				$this->view->nodesListMessage = new MessagePane_Info(new Zwas_Text(
					Zwas_Translate::_('There are currently no servers connected to the Zend Server Cluster Manager.  Click [a]here[/a] to add a server to the cluster')
				));
				$this->view->nodesListMessage->setLink(array(
					'controller' => 'Nodes', 
					'action' => 'Add-Node', 
					'sidebarId' => MenuItem::generateId('Nodes', 'Index'))
				);
			} else {
				$this->view->nodesListMessage = new MessagePane_Null();
			}
			
		} catch (Zwas_Exception $e) {
			$this->view->nodesListMessage = 
				new MessagePane_Error(
					Zwas_Translate::_('Unable to retrieve server list. If this problem persists, go to the Zend Support Center at: http://www.zend.com/support-center')
				);
			$this->view->nodesList = array();
		}		 
	}
}