<?php
require_once ZEND_SERVER_APP_PE_PATH . '/controllers/MonitorUiIssueDetailsController.php';

class EE_MonitorUiIssueDetailsController extends PE_MonitorUiIssueDetailsController {
	
	public function eventGroupDataAction() {
		parent::eventGroupDataAction();
		$this->view->disableStudioInteagrationButtons = false;

		if ($this->view->eventGroupData instanceof ZwasComponents_MonitorUi_Issue_GroupData) {
			$nodesModel = new Nodes_Model();
			try {
				$node = $nodesModel->getNode($this->view->eventGroupData->getNodeId());
				$this->view->disableStudioInteagrationButtons = $node->isDisabled();
			} catch (Zwas_Exception $e) {
				// trying to fetch the server's details from the DB has failed, which in high probablity will mean trying to contact
				// it will fail as well
				$this->view->disableStudioInteagrationButtons = true;
				Zwas_Log::info((string)$e->getMessageObject());
			}
		}
	}
	
	public function fetchFileAction() {
		$groupId		= $this->getTrimmedParam('groupId');
		$backTracePos	= $this->getTrimmedParam('backtrace');
		$issueId		= $this->getTrimmedParam('issueId');
		
		$model			= $this->getMonitorUiModel();
		$issue			= $model->getIssueData($issueId);
		$groupData		= $model->getEventGroupData($groupId);
		$backTrace		= $groupData->getBacktraceData();
		
		if (! array_key_exists($backTracePos, $backTrace)) {
			$this->setMessagePane(new MessagePane_Error(Zwas_Translate::_("The source file doesn't exist")));
			$this->renderScript('publish-message.phtml');
			return;
		}
		
		$nodesModel = new Nodes_Model();
		try {
			$node = $nodesModel->getNode($groupData->getNodeId());
		} catch(Zwas_Exception $e) {
			$this->setMessagePane(new MessagePane_Error(Zwas_Translate::_("Could not find the requested node")));
			$this->renderScript('publish-message.phtml');
			return;
		}
		Nodes_Action::remoteNodeAction($this, $node);
	}
	
	/**
	 * @return ZwasComponents_Model_ZdeExport
	 */
	protected function getZdeExportModel() {
		$model = new ZwasComponents_Model_ZdeExport();
		$model->setCodetracingModel(new ZwasComponents_ZSM_CodeTracing_Model());
		return $model;
	}
	
}