<?php

require_once ZEND_SERVER_APP_CE_PATH . '/controllers/NavigationController.php';

class EE_RegistrationController extends NavigationController {
	
	public function preDispatch() {
		if (ApplicationModel::isRegistrationComplete()) {
			$this->redirect(array('controller' => 'Index'),'', true);
		}
		$this->formNavigation = new Navigation_RegistrationEE();
		$this->formNavigation->movePointerToCurrentPage($this->getRequest()->getActionName());
		$this->view->formNavigation = $this->formNavigation;
	}
	
	public function eulaAction() {
		$form = new Form_Registration_Eula();
		$request = $this->getRequest(); /* @var $request Zend_Controller_Request_Http */
		$this->view->form = $form;
		if ($request->isPost() && $form->isValid($this->getTrimmedParams())) {
			if ($form->process()) {
				$this->forwardToNextAction();
			}
		}
	}
	
	public function passwordAction() {
		$form = new Form_Password();
		$request = $this->getRequest(); /* @var $request Zend_Controller_Request_Http */
		$this->view->form = $form;
		if ($request->isPost() && $form->isValid($this->getTrimmedParams())) {
			try {
				if ($form->process()) {
					$this->forwardToNextAction();
				}
			} catch (Zwas_Exception $e) {
				$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
			}
		}
	}
	
	public function licenseAction() {
		$form = new Form_Registration_LicenseAndSubscribeEE();
		$request = $this->getRequest(); /* @var $request Zend_Controller_Request_Http */
		$this->view->form = $form;
		if ($request->isPost() && $form->isValid($this->getTrimmedParams())) {
			try {
				if ($form->process()) {
					$this->forwardToNextAction();
				}
			} catch (Zwas_Exception $e) {
				$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
			}
		}
	}
	
	public function dbCredentialsAction() {
		$form = new Form_Registration_DbCredentials();
		$request = $this->getRequest(); /* @var $request Zend_Controller_Request_Http */
		$this->view->form = $form;
		if ($request->isPost() && $form->isValid($this->getTrimmedParams())) {
			try {
				if ($form->process()) {
					$this->forwardToNextAction();
				}
			} catch (Zwas_Exception $e) {
				$this->setMessagePane(new MessagePane_Error($e->getMessageObject()));
			}
		}
	}
	
}