<?php

class Form_Decorator_ServerAddress extends Zend_Form_Decorator_Abstract {

	/**
     * Render form elements
     *
     * @param  string $content
     * @return string
     */
    public function render($content)
    {
        $displayGroup = $this->getElement();
        if (! ($displayGroup instanceof Zend_Form_DisplayGroup)) {
            throw new Zwas_Exception('ServerAddress Decorator is to be used only with Zend_Form_DisplayGroup');
        }/* @var Zend_Form_DisplayGroup $displayGroup */
        
    	$attributes = $displayGroup->getAttribs();
        
    	$classes = 'zend-input';
        if (isset($attributes['class'])) {
        	if (is_array($attributes['class'])) {
        		$attributes['class'] = implode(' ', $attributes['class']);
        	}
        	$classes.= ' ' . $attributes['class'];
        }
        
        $view = $this->getElement()->getView();
        
        $errors = array();
        foreach ($displayGroup->getElements() as $element) { /* @var Zend_Form_Element_Abstract $element */
        	$element->setDecorators(array('ViewHelper'));
        	$errors = array_merge($errors, $element->getMessages());
        }
        
        $schemeElement = $displayGroup->getElement('scheme');
        $hostElement = $displayGroup->getElement('address');
        $portElement = $displayGroup->getElement('port');
        $uriElement = $displayGroup->getElement('uri');
        
		$template = "{$schemeElement->render($view)} :// {$hostElement->render($view)} : {$portElement->render($view)} / {$uriElement->render($view)}";
        
        $errorsXhtml = '';
        if (count($errors)) {
            $errorsXhtml = $view->formErrors($errors, array('class' => 'zend-input-error'));
        }
        
        $xhtml = <<<XHTML
		<div class="{$classes}">
			<div class="zend-input-left">
				<label class="zend-input-label">{$displayGroup->getLegend()}</label>
			</div>
			<div class="zend-input-right">
				{$template}
				{$errorsXhtml}
			</div>
		</div>
XHTML;
        return $xhtml;
    }
}

