<?php

class Form_Servers_Add extends Form_Servers_Abstract {

	/**
	 * @var Nodes_Model
	 */
	private $nodesModel;
	
	public function init() {
		parent::init();
		$serverPassword = new Zwas_Form_Element_Password('password');
		$serverPassword->setLabel(Zwas_Translate::_('Server Password:'))
			->setRenderPassword(false)
			->setRequired(true)
			->addValidator(new Zwas_Validate_Password(),true);
			
		$this->addElement($serverPassword);
	}
	
	/**
	 * @return boolean
	 */
	public function process() {
		parent::process();
		$model = $this->getNodesModel();
		$model->addNode(
			$this->getValue('name'), 
			$this->getServerUrl(), 
			$this->getValue('password'), 
			$this->getValue('distribute')
		);
		return true;
	}

	/**
	 * @param $nodesModel the $nodesModel to set
	 * @return Form_Servers_Add
	 */
	public function setNodesModel(Nodes_Model $nodesModel) {
		$this->nodesModel = $nodesModel;
		return $this;
	}

	/**
	 * @return the $nodesModel
	 */
	private function getNodesModel() {
		if (is_null($this->nodesModel)) {
			$this->nodesModel = new Nodes_Model();
		}
		return $this->nodesModel;
	}
}
