<?php

class Communication_Queue_Request_PeclHttp extends HttpRequest implements Communication_Queue_Request_Interface{
	/**
	 * @var boolean
	 */
	private $representative = false;
	/**
	 * @var integer
	 */
	private $nodeId;
	
	function __construct($uri, $method, $isRepresentative=false, $nodeId = null) {
		parent :: __construct($uri, $method);
		$this->setRepresentative($isRepresentative);
		$this->setNodeId($nodeId);
	}
	
	/**
	 * @return integer
	 */
	public function getNodeId() {
		return $this->nodeId;
	}
	
	/**
	 * @param $nodeId
	 */
	public function setNodeId($nodeId) {
		$this->nodeId = $nodeId;
	}
	
	/**
	 * @return boolean
	 */
	public function isRepresentative() {
		return $this->representative;
	}
	
	/**
	 * @param boolean $representative
	 */
	public function setRepresentative($isRepresentative) {
		$this->representative = $isRepresentative;
	}


	/**
	 * This is a method for development use only!!!
	 * Replace the value of debug_host with your IP, make sure this IP is allowed for debugging
	 * on the node you wish to debug, and that the debugger is loaded there (if in Linux -
	 * debugger needs to be loaded in lighttpd).
	 * Place this function in request() where somewhere before the parent::request() line
	 */
	public function triggerDebuggerOnNode() {
		$this->addCookies(array(
			'debug_host' 		 => '10.1.2.226',
			'debug_port' 		 => '10137',
			'_bm'				 => '2897',
			'debug_session_id' 	 => rand(3000, 1000000),
			'ZDEDebuggerPresent' => 'php%2Cphtml%2Cphp3'));
		$this->addHeaders(array('useragent'=>'Zend Server Development'));
	}
	
}