<?php

class Communication_Queue_Request_Zend extends Zend_Http_Client implements Communication_Queue_Request_Interface {
	
	/**
	 * @var boolean
	 */
	private $representative = false;
	/**
	 * @var integer
	 */
	private $nodeId;
	
	function __construct($isRepresentative = false, $nodeId = null) {
		parent :: __construct();
		$this->setRepresentative($isRepresentative);
		$this->setNodeId($nodeId);
	}
	
	/**
	 * @return integer
	 */
	public function getNodeId() {
		return $this->nodeId;
	}
	
	/**
	 * @param $nodeId
	 */
	public function setNodeId($nodeId) {
		$this->nodeId = $nodeId;
	}
	
	/**
	 * @return boolean
	 */
	public function isRepresentative() {
		return $this->representative;
	}
	
	/**
	 * @param boolean $representative
	 */
	public function setRepresentative($isRepresentative) {
		$this->representative = $isRepresentative;
	}

	/**
	 * This is a method for development use only!!!
	 * Replace the value of debug_host with your IP, make sure this IP is allowed for debugging
	 * on the node you wish to debug, and that the debugger is loaded there (if in Linux -
	 * debugger needs to be loaded in lighttpd).
	 * Place this function in request() where somewhere before the parent::request() line
	 */
	public function triggerDebuggerOnNode() {
		$this->setCookie('debug_host', '10.1.2.226');
		$this->setCookie('debug_port', '10137');
		$this->setCookie('_bm', '2897');
		$this->setCookie('debug_session_id', rand(3000, 1000000));
		$this->setCookie('ZDEDebuggerPresent', 'php%2Cphtml%2Cphp3');
		$this->setHeaders('useragent', 'Zend Server Development');
	}	
}