<?php

class Context_Db_Factory extends Common_Context_Db_Factory implements Context_Db_FactoryInterface {

	const CLUSTER_DB_FILENAME = 'cluster.db';
	const CLUSTER_DB_VERSION = '2.0';
	
	/**
	 * @return Zend_Db_Adapter_Abstract
	 */
	public function getZsmAdapter() {
		return Zend_Db::factory(
			'Pdo_Sqlite',
			array('dbname' => Zwas_Path::create(Context_Api::getPhpMemory()->getCfgVar('zend.data_dir'), 'db', self::CLUSTER_DB_FILENAME))
		);
	}
	
	/**
	 * @return Nodes_Table
	 */
	public function getNodesTable() {
		return new Nodes_Table(array('db' => self::getZsmAdapter()));
	}
		
	/**
	 * @return Nodes_Signatures_Table
	 */
	public function getNodesSignaturesTable() {
		return new Nodes_Signatures_Table(array('db' => self::getZsmAdapter()));
	}
		
	/**
	 * @return Metadata_Table
	 */
	public function getMetadataTable() {
		return new Metadata_Table(array('db' => self::getZsmAdapter()));
	}
	
	/**
	 * @return Nodes_Environment_Table
	 */
	public function getNodesEnvironmentTable() {
		return new Nodes_Environment_Table(array('db' => self::getZsmAdapter()));
	}
	
	/**
	 * @return Nodes_Extension_Table
	 */
	public function getNodesExtensionTable() {
		return new Nodes_Extension_Table(array('db' => self::getZsmAdapter()));
	}
	
	/**
	 * @return Nodes_Component_Table
	 */
	public function getNodesComponentTable() {
		return new Nodes_Component_Table(array('db' => self::getZsmAdapter()));
	}
}