<?php

class GlobalMessage {
	
	/**
	 * @return MessagePane_Abstract
	 */
	public static function getMessage() {
		// check nodes status
		$nodesStatusMessage = Cluster_Status::getNodesStatusMessage();
		if ($nodesStatusMessage) {
			return new MessagePane_Notice($nodesStatusMessage);
		}
		
		// ZSCM license error
		try {
			$licenseDirectives = License_Directives::getSystemLicenseDirectives();
			
			$licenseInfo = Context_Api::getUtilAPI()->getSerialNumberInfo(
				$licenseDirectives->getLicenseKey(), $licenseDirectives->getOrderNumber()
			);			
			$license = Context_Version::getLicenseModel($licenseInfo);
			$license->verifyLicense();
			
		} catch (Zwas_Exception $e) {
			return new License_MessagePane_Error($e->getMessageObject());
		}
		
		// license notice (about to expire)
		try {
			$license->verifySoonLicenseExpiration();
			
		} catch (Zwas_Exception $e) {
			return new License_MessagePane_Notice($e->getMessageObject());
		}
				
		return new MessagePane_Null();
	}
	
}