<?php

class License_Control_Redirect implements License_Control_Interface {
	
	/**
	 * @param Zwas_Controller_Action $controller
	 */
	public function applyLicenseControl(Zwas_Controller_Action $controller) {
		
		$licenseDirectives = License_Directives::getSystemLicenseDirectives();
		$licenseInfo = Context_Api::getUtilAPI()->getSerialNumberInfo(
			$licenseDirectives->getLicenseKey(), $licenseDirectives->getOrderNumber()
		);
		
		$license = Context_Version::getLicenseModel($licenseInfo);
		if ($license->isExpired() || 
			(! $license->isValid()) || 
			($license->getEdition() != Context_Version::EDITION_MANAGER)) {
			$controller->getHelper('Redirector')->direct('Index', 'License-Expired', 'EE', array());
		}
	}
}
