<?php

class Nodes_Model_Plugin_Broker extends Nodes_Model_Plugin_Abstract  {
	private $plugins = array();
	
	/**
	 * Initiates the Nodes_Model_Plugin_Broker object
	 */
	public function __construct(){
		$this->plugins = array();
	}
	
	/**
	 * @param Nodes_Model $model
	 * @param Nodes_Element_Mapper $node
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node = null) {
		foreach ($this->plugins as $plugin) {
			try {
	           	$plugin->preAction($model, $node);
			} catch  ( Zwas_Exception $e ) {
				Zwas_Log::logException ( "Faild on preAction: ", $e );
				throw $e;
			}
	    }
	}
	
	/**
	 * @param Nodes_Model $model
	 * @param array $nodes array of Nodes_Element_Mapper elements
	 */
	public function postAction(Nodes_Model $model, array $nodes){
		foreach ($this->plugins as $plugin) {
			try {
				$plugin->postAction($model, $nodes);
			} catch ( Zwas_Exception $e ) {
				Zwas_Log::logException ( "Faild on postAction: ", $e );
				throw $e;
			}
		}		
	}

	/**
	 * Register a plugin
	 *
	 * @param Nodes_Model_Plugin_Abstract $plugin
	 * @return null
	 */
	public function registerPlugin(Nodes_Model_Plugin_Abstract $plugin) {
		$this->plugins[] = $plugin;
	}
}