<?php
class Nodes_Model_Plugin_DistributeConfiguration extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param array $nodes
	 * @throws Nodes_Model_Plugin_Exception|Zwas_Exception
	 */
	public function postAction(Nodes_Model $model, array $nodes) {
		$configurationData = $model->getNodeConfiguration($model->getRepresentativeForWriting());
		
		if (! $configurationData instanceof Node_ConfigurationData) {
			throw new Zwas_Exception('Unexpected data format');
		}
		
		try {
			$this->nodesRequests($model, $nodes, 'Node', 'Set-Configuration', array('data' => Zwas_Package::pack($configurationData)));
		} catch ( Zwas_Exception $e ) {
			Zwas_Log::logException ( "Failed on Nodes_Model_Plugin_DistributeConfiguration post add node: ", $e );
			throw new Nodes_Model_Plugin_Exception($e->getMessageObject());
		}
	}
}