<?php
class Nodes_Model_Plugin_MaintainClusterJobQueueSettings extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param Nodes_Element_Mapper $node the server on which the details should be saved
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node=null) {
		if (is_null($node)) {
			throw new Zwas_Exception(
				Zwas_Translate::_('Plugin Nodes_Model_Plugin_ConnectServerToJobQueue requires a server'), 
				Zwas_Exception::ASSERT
			);
		}

		// Grab the details from the local ZSCM jobqueue.ini 
		$daemonBinding	= ZwasComponents_JobQueue_Model::getZendServerHostBinding();
		$daemonListen	= ZwasComponents_JobQueue_Binding::getDaemonListenBinding($daemonBinding); 
		
		$params = array();
		$params['daemonListen']		= $daemonListen;
		$params['daemonBinding']	= $daemonBinding;
		
		try {
			$this->nodeRequest($model, $node, 'Node-Job-Queue', 'Connect-Job-Queue-To-Zsm', $params);
		} catch (Zwas_Exception $e) {
			Zwas_Log::logException(Zwas_Translate::_('Failed on Nodes_Model_Plugin_ConnectServerToJobQueue after saving representative:'), $e);
			throw $e;
		}
	}
}