<?php
class Nodes_Model_Plugin_MashupEventsRules extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param Nodes_Element_Mapper $node
	 * @throws Nodes_Model_Exception|Zwas_Exception
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node = null) {
		try {
			//get configuration data from representative node
			$representative = $model->getRepresentativeForWriting();
			$configurationData = new Cluster_ConfigurationData($model->getClusterEnvironment());
			$configurationData->collectZendServerConfigurations(array('events_rules.xml'));
			$repConfiguration = $model->getNodeConfiguration($representative);
			if (! ($repConfiguration instanceof Node_ConfigurationData)) {
				throw new Zwas_Exception(new Zwas_Text(Zwas_Translate::_('Could not retrieve configuration data from %s, check file permissions on this server and try again'), array($representative->getAddress())));
			}
			$repConfiguration = $configurationData->mashupConfigurationFiles($repConfiguration);
			/// save representative configuration back into the rep
			$params = array('data' => Zwas_Package::pack($repConfiguration));
			$this->nodeRequest($model, $representative, 'Node', 'Set-Configuration', $params);
		} catch(Nodes_Model_Exception $e) {
			Zwas_Log::logException('Failed to set configuration files on the representative', $e);
			throw $e;
		} catch(Zwas_Exception $e) {
			Zwas_Log::logException('Could not create a configuration package for distribution', $e);
			throw $e;
		}
	}
}