<?php
class Nodes_Model_Plugin_PropagateLicense extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param Nodes_Element_Mapper $node
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node = null) {
		try {
			$nodeLicense = ApplicationModel::getNodesLicense();
			// Requires a validation step
			$params = array('user' => $nodeLicense->getOrderNumber(), 'serial' => $nodeLicense->getLicenseKey());
			$this->nodeRequest($model, $node, 'Node', 'Import-License', $params);
		} catch (Zwas_Exception $e) {
			Zwas_Log::logException(Zwas_Translate::_('Failed on Nodes_Model_Plugin_PropagateLicense while attempting to propagate license'), $e);
			throw new Nodes_Model_Plugin_Exception($e->getMessageObject());
		}
	}
}