<?php
class Nodes_Signatures_Element extends Zend_Db_Table_Row_Abstract {
	
	/**
	 * @return string
	 */
	public function getValue() {
		return $this->sigValue;
	}
	
	/**
	 * @return string
	 */
	public function getName() {
		return $this->sigName;
	}
	
	/**
	 * @return integer
	 */
	public function getTimestamp() {
		return (integer)$this->sigTime;
	}
	
	/**
	 * @return integer
	 */
	public function getNodeId() {
		return (integer)$this->nodeId;
	}
	
	/**
	 * @return boolean
	 */
	public function isNull() {
		return (0 == $this->getNodeId());
	}
	
	/**
	 * @param string $value
	 * @return Nodes_Signatures_Element
	 */
	public function setValue($value) {
		$this->sigValue = $value;
		return $this;
	}
	
	/**
	 * @param string $name
	 * @return Nodes_Signatures_Element
	 */
	public function setName($name) {
		$this->sigName = $name;
		return $this;
	}
	
	/**
	 * @param integer $timestamp
	 * @return Nodes_Signatures_Element
	 */
	public function setTimestamp($timestamp) {
		$this->sigTime = $timestamp;
		return $this;
	}
	
	/**
	 * @param integer $nodeId
	 * @return Nodes_Signatures_Element
	 */
	public function setNodeId($nodeId) {
		$this->nodeId = $nodeId;
		return $this;
	}
} 