<?php
require_once ZEND_SERVER_APP_PATH . '/PE/models/Plugins/Initializer/PE.php';

class Plugins_Initializer_EE extends Plugins_Initializer_PE {
	
	public function __construct() {
		set_include_path(	get_include_path() . PATH_SEPARATOR .
							ZEND_SERVER_APP_PATH . '/EE/models' . PATH_SEPARATOR .
							ZEND_SERVER_APP_PATH . '/PE/models');
		parent::__construct();
	}
	
	public function dispatchLoopStartup(Zend_Controller_Request_Abstract $request) {
		$request->setModuleName(ZEND_SERVER_APP_VERSION);
		$this->lockGui($request);
	}
	
	protected function initApplicationAutoloaders() {
		parent::initApplicationAutoloaders();
		$autoloader = new Zend_Loader_Autoloader_Resource(array(
			'namespace'	=> '',
			'basePath'	=> ZEND_SERVER_APP_PATH,
		));
		$autoloader->setResourceTypes(array(
			'forms' => array('namespace' => 'Form', 'path' => 'EE/forms'),
		));
	}
	
	/**
	 * @param Zend_Controller_Request_Abstract $request
	 */
	public function initView(Zend_Controller_Request_Abstract $request) {
		parent::initView($request);
		$view = Zend_Layout::getMvcInstance()->getView();
		$view->addScriptPath(ZEND_SERVER_APP_EE_PATH . '/views/scripts');
		$view->addHelperPath(ZEND_SERVER_APP_EE_PATH . '/views/helpers',			'Zwas_View_Helper');
		$view->addHelperPath(ZEND_SERVER_GUI_PATH . '/library/Zwas/View/Helper',	'Zwas_View_Helper');
	}
	
	public function initControllers() {
		$this->front->setControllerDirectory(array(
			'CE' => ZEND_SERVER_APP_PATH . '/CE/controllers',
			'PE' => ZEND_SERVER_APP_PATH . '/PE/controllers',
			'EE' => ZEND_SERVER_APP_PATH . '/EE/controllers'
		));
		$this->front->setDefaultModule('CE');
	}
	
	/**
	 * @return string
	 */
	protected function getCookiePath() {
		return '/ZendServerManager';
	}
	
	protected function initConstants() {
		parent::initConstants();
		define('ZEND_SERVER_APP_EE_PATH', ZEND_SERVER_APP_PATH . '/EE');
	}

	protected function initApplicationName(){
	    define('ZEND_SERVER_APPLICATION_NAME',  Zwas_Translate::_('Zend Server Cluster Manager'));
	}
	
}
