<?php

class StudioIntegration_ZSM_Model extends StudioIntegration_Model {
	
	/* (non-PHPdoc)
	 * @see PE/models/StudioIntegration/StudioIntegration_Model::checkIfOperationsAllowed()
	 */
	protected function checkIfOperationsAllowed() {
		$studioConfiguration = StudioIntegration_Configuration::getInstance();
		$debugHost = $studioConfiguration->getCurrentHost();
		
		if (ApplicationModel::getStudioIntegrationAlternateServer()) {
			// Debug session will not work on alternate server with a local Studio Client IP (127.*.*.*)
			$ipRangeValidator = new Zwas_Validate_IpRange('127.0.0.1', 8);
			if ($ipRangeValidator->isValid($debugHost)) {
				throw new Zwas_Exception(Zwas_Translate::_('Alternate server cannot communicate with a local Studio Client IP (i.e. 127.0.0.1). Set a new IP in Server Setup | Monitor'));
			}
		} else {
			// TODO: implement a ZSCM allowed / denied hosts filtering
			/// temporary solution for Mantis #30854
			return true;
		}
	}
}

