<?php
class ZwasComponents_Model_EE extends ZwasComponents_Model_PE {
	
	/**
	 * Return array of ZwasComponents objects
	 * @return array
	 */
	public function getAvailableComponents() {
		$basicComponents = array();
		try {
			$basicComponents[]		= new ZwasComponents_JobQueue_Model();
		} catch (ZwasComponents_Exception $e) {
			// Do nothing, logging is done when the exception is thrown
		}
	
		return $basicComponents;
	}

	/**
	 * @param array $nodeComponents
	 * @param array $zsmComponents
	 * @return array of ZwasComponents_Display elements
	 */
	public function mergeNodeAndZsmComponents(array $nodeComponents, array $zsmComponents) {
		// remove the irrelevant components from the node's list, even if they can't be replaced with ones from local machine
		if (isset($nodeComponents['Zend Job Queue'])) {
			unset($nodeComponents['Zend Job Queue']);
		}
		
		return $nodeComponents + $zsmComponents;
	}
}