<?php

class ZwasComponents_ZSM_MonitorUi_Model {
	
	const INI_FILE = 'monitor_ui.ini';
	
	/**
	 * All the directives set in the monitor_ui.ini 
	 * @return array directives
	 */
	public function getNodeMonitorConfiguration(){
		try {
			$filepath = Zwas_Path::create(Context_Os::getZendIniScanDir(), self::INI_FILE);
			$reader = new Configuration_IniParser(Context_FileSystem::getFileObject($filepath));
		} catch (Zwas_Exception $e) {
			Zwas_Log::logMessage('Zend Monitor UI configuration is malformed or missing');
			throw new Zwas_Exception(Zwas_Translate::_('Zend Monitor UI configuration is malformed or missing'));
			
		}
		return $reader->getDirectives();
	}
}