<?php
abstract class ZwasComponents_ZSM_ProbeModel implements ZwasComponents_ProbeInterface{
	
	/**
	 * @var Nodes_Model
	 */
	protected static $nodesModel;
	
	abstract public function getController();
	
	/**
	 * @return boolean
	 */
	public function isLoadedWithError() {
		$response = $this->remoteAction($this->getController(), 'Loaded-With-Error');
		if (($response->isError()) || (! is_bool($response->getData())) || ($response->getData())) {
			return true;
		}
		return false;
	}

	public function getLoadedErrorString() {
		$response = $this->remoteAction($this->getController(), 'Loaded-Error-String');
		if ($response->isError()) {
			return '';
		}
		return $response->getData();
	}
	
	/**
	 * @return boolean
	 */
	public function isLoadedInFile() {
		$response = $this->remoteAction($this->getController(), 'Loaded-In-File');
		if (($response->isError()) || (! is_bool($response->getData())) || (! $response->getData())) {
			return false;
		}
		return true;
	}
	
	/**
	 * @return boolean
	 */
	public function isLoadedInMemory() {
		$response = $this->remoteAction($this->getController(), 'Loaded-In-Memory');
		if (($response->isError()) || (! is_bool($response->getData())) || (! $response->getData())) {
			return false;
		}
		return true;
	}
	
	/**
	 * @return boolean
	 */
	public function awaitsRestart() {
		return false;
	}
	
	/**
	 * @return boolean
	 */
	public function isRunning() {
		return true;
	}
	
	
	/**
	 * @param Nodes_Model $model
	 * @return ZwasComponents_ZSM_Model
	 */
	public function setNodesModel(Nodes_Model $model) {
		self::$nodesModel = $model;
		return $this;
	}
	
	/**
	 * @param string $controller
	 * @param string $action
	 * @param string $params
	 * @return Node_Response
	 */
	protected function remoteAction($controller, $action, $params = array()) {
		return self::getNodesModel()->getCommMapper()->remoteAction(self::getNodesModel()->getRepresentativeForReading(), $controller, $action, $params);
	}
	
	/**
	 * @return Nodes_Model
	 */
	protected static function getNodesModel() {
		if (is_null(self::$nodesModel)) {
			self::$nodesModel = new Nodes_Model();
		}
		return self::$nodesModel;
	}
}