<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
 require_once(ZEND_SERVER_APP_PATH . '/PE/views/helpers/Common/CodeTracingDumpsTable.php');

class Zwas_View_Helper_CodeTracingDumpsTable extends Zwas_View_Helper_Common_CodeTracingDumpsTable {

	/**
	 * Generates table header row
	 * @return string
	 */
	protected function getTableHeader() {
		$actionsTh = Zwas_Translate::_('Actions');
		
		$header = '
			<tr class="header">
				<th class="w1"><input type="checkbox" name="dumps-all" onclick="dumpsList.selectAll(this.checked);"/></th>
				' . $this->getSortableColumn(Zwas_Translate::_('ID'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_TRACE_ID) . '
				' . $this->getSortableColumn(Zwas_Translate::_('Date'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_TRACE_TIME) . '
				' . $this->getSortableColumn(Zwas_Translate::_('Traced URL'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_TRACED_URL) . '
				' . $this->getSortableColumn(Zwas_Translate::_('Created by'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_REASON) . '
				' . $this->getSortableColumn(Zwas_Translate::_('File Size'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_TRACE_SIZE) . '
				' . $this->getSortableColumn(Zwas_Translate::_('Server'), ZwasComponents_CodeTracing_TraceFiles_Table::COLUMN_NODE_ID) . '
				<th class="w1">' . $actionsTh . '</th>
			</tr>
		
			<tr class="header-separator">
				<td colspan="7">&nbsp;</td>
			</tr>
		';

		return $header;
	}

	/**
	 * Generates table body
	 * @param array $dumps
	 * @return string
	 */
	protected function getRows($dumps) {
		$output = '';
		foreach ($dumps as $dump) { /* @var $dump ZwasComponents_CodeTracing_TraceFiles_Element */
			$dumpId = $dump->getTraceId();
			
			
			$onClickAction = $this->getViewOnClickAction($dumpId);
			
			$row = '
			<tr>
				<td class="text-align-center"><input class="input" type="checkbox" name="dumps[]" value="' . $dumpId . '" /></td>
				<td><a onclick="' . $onClickAction . '">' .  $this->view->escape($dumpId) . '</a></td>
				<td onclick="' . $onClickAction . '">' .  $this->view->escape(date(ApplicationModel::getDateFormat(ApplicationModel::DATE_FORMAT_LONG), $dump->getTime())) . '</td>
				<td onclick="' . $onClickAction . '">' .  $this->view->escape($dump->getTracedUrl()) . '</td>
				<td onclick="' . $onClickAction . '">' .  $this->view->escape($this->view->dumpReason($dump->getReason())) . '</td>
				<td onclick="' . $onClickAction . '">' .  $this->view->escape($this->view->fileSize($dump->getSize())) . '</td>
				<td onclick="' . $onClickAction . '">' .  $this->view->escape($this->view->nodeName($dump->getNodeId())) . '</td>
				<td>' . $this->getExportLink($dumpId) . '</td>
			</tr>
			';
			
			$output .= $row;
		}
		return $output;
	}
	
}
