<?php

/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_ComponentMessagesJson extends Zend_View_Helper_Abstract {

	/**
	 * @var array
	 */
	private $blackList = array(
		'This component\'s status will change to "Off" after the PHP is restarted' => 0,
		'This component\'s status will change to "On" after the PHP is restarted' => 1
	);
	
	/**
	 * @param array $componentsMessages
	 * @return string
	 */
	public function componentMessagesJson() {
		$clusterModel = new ClusterZendComponents_Model();
		$messages = $clusterModel->getComponentsWithMessages();
		
		$nodesModel = new Nodes_Model();
		$nodes = $nodesModel->getNodes();
		
		$filteredComponents = array();
		foreach ($messages as $name => $component) {
			foreach ($component as $componentElement) { /* @var $componentElement Nodes_Component_Element */
				if ((array_key_exists($componentElement->getNodeId(), $nodes))
					&& ($nodes[$componentElement->getNodeId()] instanceof Nodes_Element_Mapper)
					&& (! array_key_exists($componentElement->getErrorString(), $this->blackList))) {
						
					$filteredComponents[ self::normalizeName($name) ][]= array(
						'serverName'	=> $nodes[$componentElement->getNodeId()]->getName() , 
						'message'		=> $componentElement->getErrorString()
					);
				}
			}
		}
		return Zend_Json::encode($filteredComponents);
	}

	/**
	 * @param string $name
	 * @return string
	 */
	private static function normalizeName($name) {
		return str_replace(' ', '-', $name);
	}
}
