<?php
/**
 * Zwas_View_Helper_ComponentStatus helper
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_ComponentStatus extends Zend_View_Helper_Abstract {
	
	/**
	 * @param string $componentName
	 * @param DisplayWidget_IconTooltip $statusIcon
	 * @return string
	 */
	public function componentStatus($componentName, DisplayWidget_IconTooltip $statusIcon = null) {
		$componentsModel = new ClusterZendComponents_Model();
		
		if (! $componentsModel->componentExists($componentName)) {
			return '';
		}

		// check instability
		$unstable = false;
		if ($componentsModel->isComponentUnstable($componentName)) {
			$unstable = true;
		} else {
			$extensionsModel = new ClusterPhpExtensions_Model();
			if ($extensionsModel->isExtensionUnstable($componentName)) {
				$unstable = true;
			}
		}
		
		if (true === $unstable) {
			$statusIcon = new DisplayWidget_IconTooltip(
				DisplayWidget_IconTooltip::ICON_LED_GREEN_NOTICE,
				Zwas_Translate::_('Cluster misconfiguration')
			);
		}
		
		if (is_null($statusIcon)) {
			return '';
		}
		
		return $this->view->displayWidget($statusIcon);
	}
	
}