<?php
require_once 'Common/Table.php';
/**
 * Zwas_View_Helper_DashboardMessageBox
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_DashboardMessageBox extends Zend_View_Helper_Abstract {
	
	public function dashboardMessageBox(MessagePane_Abstract $message) {
		return $this->dashboardMessage($message);
	}
			
	private function messageTypeToClass($type) {
		switch($type) {
			case MessagePane_Abstract::MESSAGE_PANE_ERROR:
				return 'error';
				break;
			case MessagePane_Abstract::MESSAGE_PANE_NOTICE:
				return 'notice';
				break;
			case MessagePane_Abstract::MESSAGE_PANE_SUCCESS:
				return 'success';
				break;
			case MessagePane_Abstract::MESSAGE_PANE_INFO:
				return 'info';
				break;
		}
	}
	
	private function dashboardMessage(MessagePane_Abstract $message = null) {
		if (is_null($message)) {
			return '';
		}
		$msgType = $this->messageTypeToClass($message->getType());
		$messageText = $this->view->messagePaneContent($message);
			return <<<MESSAGE
<div id="message-pane1" class="message-pane $msgType" style="display: block;">
<table border="0" cellspacing="0" cellpadding="0" class="w100">
<tr>
<td class="top-left-corner"></td>
<td class="top-line"></td>
<td class="top-right-corner"></td>		
</tr>	
<tr>	
<td class="left-line"></td>		
<td class="center">
$messageText
</td>
<td class="right-line"></td>
</tr>
<tr>
<td class="bottom-left-corner"></td>	
<td class="bottom-line"></td>	
<td class="bottom-right-corner"></td>	
</tr>
</table>
</div>
MESSAGE;
	}
	
}
