<?php
/**
 * Zwas_View_Helper_ExtensionConfiguration helper
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_ExtensionConfiguration extends Zend_View_Helper_Abstract {
	
	/**
	 * @param string $extensionName
	 * @return string
	 */
	public function extensionConfiguration($extensionName) {
		$extensionsModel = new ClusterPhpExtensions_Model();
		
		if (! $extensionsModel->extensionExists($extensionName)) {
			return '';
		}

		/* @var $extension Nodes_Extension_Element */
		$extension = $extensionsModel->getExtension($extensionName)->current();
		
		if ($extension->getNumberOfDirectives() == 0) {
			return '';
		}
		
		$onclick = $this->view->contentLoader(
			'Directives', 
			'Search-Extension',
			array('extension' => base64_encode($extension->getName())),
			MenuItem::generateId('Directives', 'Index')
		);
		
		return '<a onclick="' . $onclick . '">' . Zwas_Translate::_('Directives') . '</a>';
		
	}
	
}