<?php

/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_ExtensionMessagesJson extends Zend_View_Helper_Abstract {

	/**
	 * @var array
	 */
	private $blackList = array(
		'This extension\'s status will change to "Off" after the PHP is restarted' => 0,
		'This extension\'s status will change to "On" after the PHP is restarted' => 1
	);
	
	/**
	 * @param array $extensionsMessages
	 * @return string
	 */
	public function extensionMessagesJson() {
		$clusterModel = new ClusterPhpExtensions_Model();
		$messages = $clusterModel->getExtensionsWithMessages();
		
		$nodesModel = new Nodes_Model();
		$nodes = $nodesModel->getNodes();
		
		$filteredExtensions = array();
		foreach ($messages as $name => $extension) {
			foreach ($extension as $extensionElement) { /* @var $extensionElement Nodes_Extension_Element */
				if ((array_key_exists($extensionElement->getNodeId(), $nodes))
					&& ($nodes[$extensionElement->getNodeId()] instanceof Nodes_Element_Mapper)
					&& (! array_key_exists($extensionElement->getErrorString(), $this->blackList))) {
						
					$filteredExtensions[$name][]= array('serverName' => $nodes[$extensionElement->getNodeId()]->getName() , 'message' => $extensionElement->getErrorString());
				}
			}
		}
		return Zend_Json::encode($filteredExtensions);
	}

}
