<?php
require_once(ZEND_SERVER_APP_PATH . '/PE/views/helpers/Common/IssueDetailsButtons.php');
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_IssueDetailsButtons extends Zwas_View_Helper_Common_IssueDetailsButtons {
	
	/**
	 * @param string $dumpFile
	 * @return string
	 * @throws Zwas_Exception
	 */
	protected function getDumpIdByFileName($dumpFile) {
		if (preg_match('#\.([[:digit:]]+\.[[:digit:]]+\.[[:digit:]]+)$#', $dumpFile, $matches)) {
			$dumpId = $matches[1];
			/// we can't use ZwasComponents_CodeTracing_Model::getDumpIdByFile
			/// it assumes usage of local path variables, which may or may not 
			/// conform to that of the node that created the trace originally
			$traceTable = ZwasComponents_CodeTracing_Model::getTraceFilesTable();
			$traceRow = $traceTable->fetchRow($traceTable->getAdapter()->quoteInto('trace_id = ?', $dumpId));
			if ((is_null($traceRow)) || (! $traceRow->getTraceId())) {
				// TRANSLATE
				Zwas_Log::logMessage('Could not find a trace file row', Zend_Log::WARN);
				throw new Zwas_Exception(Zwas_Translate::_('Could not find a trace file row'));
			}
			return $traceRow->getTraceId();
		}
		// TRANSLATE
		Zwas_Log::logMessage('Could not extract the trace ID from the file name', Zend_Log::WARN);
		throw new Zwas_Exception(Zwas_Translate::_('Could not extract the trace ID from the file name'));
		
	}

}
