<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_IssueEventsGroupUiEventsTab extends Zwas_View_Helper_EventVariablesTab {
	
	/**
	 * Return tab with Ui triggered specific data
	 *
	 * @param string $issueData XML formatted data
	 * @return string
	 */
	public function issueEventsGroupUiEventsTab($issueData) {
		$content = '';
		
		if (is_string($issueData)) {
			$content = $this->convertXmlToContent($issueData);
		}
		
		if (empty($content)) {
			return '';
		}
		return $this->getDojoTab('details', Zwas_Translate::_('Details'), $content);
	}

	private function convertXmlToContent($xmlString) {
		try {
			$data = simplexml_load_string(trim($xmlString));
			
			if (false === $data) {
				return '';
			}
			
			$content = "<ul class=\"mui-function-details\">";
			foreach ($data->items->item as $item) {
				$content .= "<li><strong>{$item->label}:</strong> {$item->value}</li>";
			}
			$content .= "</ul>";
			
			return $content;
		} catch (Exception $e) {
			return "";
		}
	}
}
