<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_ServersAddServerButton extends Zend_View_Helper_Abstract {
	
	
	/**
	 * @param Nodes_Model $nodesModel
	 * @return string
	 */
	public function serversAddServerButton(Nodes_Model $nodesModel) {
		$disabled = false;
		
		
		if ( ($nodesModel->hasNodes()) && (! $nodesModel->hasRespondingNodes())) {
			$disabled = true;
		}
		
		if ($nodesModel->hasUnstableNode()) {
			$disabled = true;
		}
		
		if (! $disabled) {
			try {
				$zsLicense = ApplicationModel::getNodesLicense();
			} catch (Zwas_Exception $e) {
				$disabled = true;
			}
		}
		
		return $this->view->button(
			Zwas_Translate::_('Add Server'), 
			$this->view->contentLoader('Nodes', 'Add-Node', null, MenuItem::generateId('Nodes', 'Index')), 
			'',
			'',
			$disabled
		); 
	}
	
}
