<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_ServersLastUpdated extends Zend_View_Helper_Abstract {
	
	
	/**
	 * @return Zwas_View_Helper_ServersLastUpdated
	 */
	public function serversLastUpdated() {
		return $this;
	}
	
	/**
	 * @param integer $timestamp
	 * @return string
	 */
	public function getString($timestamp = 0) {
		$timestamp = (int)$timestamp;
		
		if (0 >= $timestamp) {
			$timeAsString = Zwas_Translate::_('N/A');
		} else {
			$timeAsString = date(ApplicationModel::getDateFormat(ApplicationModel::DATE_FORMAT_LONG), $timestamp);
		}
		// TRANSLATE
		$result = new Zwas_Text(Zwas_Translate::_('<strong>Last Refreshed:</strong> %s'), array($timeAsString));
		return (string)$result; 
	}
	
	/**
	 * @return string
	 */
	public function getButton() {
		
		$url = $this->view->url(array(
			'controller'	=> 'Nodes',
			'action'		=> 'Update-Servers'
		));
		
		// TRANSLATE
		return $this->view->button(	Zwas_Translate::_('Refresh'),
								"zend.doGet('{$url}', 'content')",
								'refresh-button',
								'servers-update');		
	}
}