<?php
 
class Initializer {
	
	/**
	 * Factory method to create the application initializer
	 * Development Initializers does not exist in production
	 *
	 * @param string $applicationVersion
	 * @return Zend_Controller_Plugin_Abstract
	 */
	public static function getInitializer($applicationVersion) {
		if (ZEND_SERVER_DEVELOPMENT_ENV) {
			switch ((string)$applicationVersion) {
				case 'CE':
					require_once ZEND_SERVER_GUI_PATH . '/internals/Initializer/Development/CE.php';
					return new Initializer_Development_CE();
					break;
					
				case 'PE':
					require_once ZEND_SERVER_GUI_PATH . '/internals/Initializer/Development/PE.php';
					return new Initializer_Development_PE();
					break;
					
				case 'EE':
					require_once ZEND_SERVER_GUI_PATH . '/internals/Initializer/Development/EE.php';
					return new Initializer_Development_EE();
					break;
			}
			
		} else {
			switch ((string)$applicationVersion) {
				case 'CE':
					require_once 'Plugins/Initializer/CE.php';
					return new Plugins_Initializer_CE();
					break;
					
				case 'PE':
					require_once 'Plugins/Initializer/PE.php';
					return new Plugins_Initializer_PE();
					break;
					
				case 'EE':
					require_once 'Plugins/Initializer/EE.php';
					return new Plugins_Initializer_EE();
					break;
			}
		}
		throw new Exception('Unknown application version');
	}
}