<?php
//Fail and die if this is not a cli operation
if(isset($_SERVER['REQUEST_METHOD']) && ('' !== $_SERVER['REQUEST_METHOD'])) {
	// TRANSLATE	
	die('Cli script may only be executed from the command line');
}

set_time_limit(0);
ini_set('display_errors', false);
ini_set('zend.ze1_compatibility_mode', false); // bug 25848

if (function_exists('monitor_event_reporting')) {
	monitor_event_reporting(ZEND_MONITOR_EVENT_NONE);
}

if (function_exists('zend_codetracing_options')) {
	zend_codetracing_options(0);
}

// Ugly hack for setting the timezone and avoiding E_STRICTs
date_default_timezone_set( @date_default_timezone_get());

define('ZEND_SERVER_GUI_PATH',			dirname(dirname(__FILE__)));
define('ZEND_SERVER_APP_PATH',			ZEND_SERVER_GUI_PATH . '/application');
define('ZEND_SERVER_INSTALL_PATH', 		dirname(ZEND_SERVER_GUI_PATH));

require_once ZEND_SERVER_APP_PATH . '/application.php';	// Define the ZEND_SERVER_APP_PATH

define('ZEND_SERVER_SKU_PATH',	ZEND_SERVER_APP_PATH . DIRECTORY_SEPARATOR . ZEND_SERVER_APP_VERSION);
define('ZEND_SERVER_DATA_PATH',	ZEND_SERVER_APP_PATH . '/data');
define('ZEND_SERVER_CONFIGURATION_FILE',		ZEND_SERVER_APP_PATH . '/data/zend-server.ini');
define('ZEND_SERVER_USER_CONFIGURATION_FILE',	ZEND_SERVER_APP_PATH . '/data/zend-server-user.ini');
set_include_path(
	ZEND_SERVER_GUI_PATH . '/library' .
	PATH_SEPARATOR . ZEND_SERVER_SKU_PATH . '/models');
	
if ('PE' == ZEND_SERVER_APP_VERSION) {
	set_include_path(get_include_path()
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/CE/models');
}

if ('EE' == ZEND_SERVER_APP_VERSION) {
	set_include_path(get_include_path()
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/PE/models'
		 . PATH_SEPARATOR . ZEND_SERVER_APP_PATH . '/CE/models');
}

require_once 'Zend/Loader/Autoloader.php';
Zend_Loader_Autoloader::getInstance()->setFallbackAutoloader(true);

/**
 * Disable Zend Framework locale cache
 * Bug in PHP 5.3/Windows, function: is_writable() return flase on writable directory
 */
Zend_Locale::disableCache(true);
/**
 * In order to use date() style formatting also in Zend_Date
 */
Zend_Date::setOptions(array('format_type' => 'php'));
Zwas_Log::setLoggerWriter(ApplicationModel::getErrorLoggerStream());

// Load application configuration
ApplicationModel::loadConfiguration();

// setting the log verbosity level can only happen after the configuration has been loaded
Zwas_Log::setLogVerbosityLevel(ApplicationModel::getLogVerbosityLevel());
