<?php
require_once 'Zend/Config/Writer/Ini.php';
 
class Zwas_Config_Writer_Ini extends Zend_Config_Writer_Ini {

	/**
	 * @var boolean
	 */
	private $noQuotes = false;
	
	/**
	 * @return boolean
	 */
	public function getNoQuotes() {
		return $this->noQuotes;
	}

	/**
	 * @param boolean $value
	 * @return Zwas_Config_Writer_Ini
	 */
	public function setNoQuotes($value) {
		$this->noQuotes = (boolean)$value;
		return $this;
	}

 	/**
     * Prepare a value for INI
     *
     * @param  mixed $value
     * @return string
     */
    protected function _prepareValue($value) {
    	$value = parent::_prepareValue($value);
    	if (true === $this->noQuotes) {
    		$value = trim($value, '"');
    	}
    	return $value;
    }	
	
}
